Plugin Name: Forminator
Author: WPMU DEV

Change Log:
----------------------------------------------------------------------

= 1.47.0 ( 2025-09-09 ) =

- Enhancement: Add page visibility conditions for paginated forms
- Enhancement: Improve Page Break field design
- Fix: Prevent placing the Page Break field in the same row with other fields


= 1.46.2 ( 2025-08-19 ) =

- Fix: Redirect URLs breaking due to double-encoding


= 1.46.1 ( 2025-08-13 ) =

- Fix: Resolved a fatal error that occurred when using certain dynamic Stripe payment methods.


= 1.46.0 ( 2025-08-12 ) =

- Enhancement: Adjust color shades for better contrast to meet WCAG 2.1 AA standards in forms with Forminator styles. You may notice minor visual changes.
- Enhancement: Add focus outline colors to fields to meet WCAG 2.1 AA standards in forms with Forminator styles. You may notice minor visual changes.
- Enhancement: Allow keyboard-only form completion
- Enhancement: Update Stripe library
- Enhancement: Improve progress bar calculation for paginated forms
- Enhancement: Compatibility with Elementor template editor
- Enhancement: Properly encode placeholder values used in URLs
- Enhancement: Prevent downgrading PRO to free version on servers that ignore the 'Update URI' plugin tag
- Enhancement: Update Onboarding Dashboard
- Enhancement: Compatibility with PHP 8.2
- Enhancement: Small UI improvements
- Enhancement: Improve Group field appearance on Submissions page
- Enhancement: Improve Group field single macro in Email Notifications and HTML fields
- Enhancement: Add filter to disable Add-ons
- Fix: Security improvements
- Fix: Prevent user creation in Network and Main Site when site registration is disabled
- Fix: Macro not working in Email Notification body for Group field
- Fix: Visibility rules based on AM/PM and Minutes in Time field not working correctly
- Fix: 'Is' visibility condition not working for Upload field
- Fix: 'Is Not' visibility condition not working with Number fields when value is 0
- Fix: Date field validation issue with visibility rules
- Fix: Hidden Address field shifts columns in CSV exports
- Fix: Incorrect calculation of Repeated fields with visibility conditions
- Fix: Incorrect calculation when a hidden field is used in a formula
- Fix: Visibility conditions not working correctly inside Group fields
- Fix: 'Hide' visibility conditions not working when based on Hidden fields
- Fix: Issue filling Stripe Billing Details
- Fix: Min/Max validation issue in Number field
- Fix: Textarea field styling broken on Material Design Style
- Fix: Slider field colors not saved in Appearance Presets
- Fix: Password field validation message broken when using quotes
- Fix: RTL mode issues with Select field
- Fix: Submission ID in Hidden field not working in Email Notification subject
- Fix: HTML field displays only the first item of Repeated field
- Fix: Repeater field not working in Elementor popup
- Fix: Issue with success message after submitting Polls
- Fix: Quiz result and Lead form data missing in Email Notifications when 'Store Submissions in Database' is disabled
- Fix: Scrolling issue on Add-ons page
- Fix: Fatal error when using Multiple Upload field
- Fix: Expiry Date field not allowing manual input
- Fix: Default hint missing for Skip Form button
- Fix: Visibility tab not showing reactivated Multiple Name fields
- Fix: Confirm Email field validation message not editable
- Fix: Close button not translatable in some modals
- Fix: Error message not shown on Timepicker when a description is present
- Fix: 'Approve' button missing for Registration form in some cases
- Fix: JavaScript error when adding Conditional Visibility to Submit button
- Fix: Textarea field overlaps with error message
- Fix: Number field limits not working when inline validation is disabled in paginated forms
- Fix: Screen reader does not read label for Slider field


= 1.45.1 ( 2025-07-15 ) =

- Fix: Security improvements


= 1.45.0 ( 2025-07-08 ) =

- Enhancement: Add Autosave option to prevent data loss during editing
- Enhancement: Allow custom Markdown in field labels and descriptions
- Enhancement: Include custom input option for Select, Checkbox, and Radio fields
- Enhancement: Add Min and Max labels to Slider field
- Enhancement: Make Preset Templates available via Hub Connector
- Enhancement: Show default field error messages as placeholders
- Enhancement: Show notification after creating a new form
- Enhancement: Improve UI in various areas
- Fix: Number and Currency field formatting is lost when using specific merge tags in PDFs


= 1.44.3 ( 2025-06-30 ) =

- Fix: Security improvements


= 1.44.2 ( 2025-06-04 ) =

- Fix: Security improvements


= 1.44.1 ( 2025-05-20 ) =

- Fix: Remove unused files


= 1.44.0 ( 2025-05-13 ) =

- Enhancement: Disable validation on Preview
- Enhancement: Adjustments to Dashboard page
- Enhancement: Adjustments to Form Editor
- Enhancement: Adjustments to Preset Template flow
- Enhancement: Update Cloud Templates page behavior
- Enhancement: Allow closing modals with Escape key
- Enhancement: Improve process for deleting fields
- Enhancement: Improve text readability of gray text
- Fix: Email field visibility rules do not work correctly with other fields in the same row
- Fix: Form submit success JS event not triggered when using Stripe field
- Fix: Currency formatting missing in emails when using single placeholder
- Fix: Poll submit button colors not applied correctly
- Fix: Submission ID placeholder not passed to HubSpot integration


= 1.43 ( 2025-04-30 ) =

- Enhancement: Numerous accessibility improvements
- Enhancement: Add label for AM/PM selectbox
- Enhancement: Update Toggle colors in High Contrast Mode to make them more visible
- Enhancement: Prevent modal from closing when clicking outside it while adding forms
- Enhancement: Add placeholder for date and time in Email Notification subject
- Enhancement: CC and BCC fields are now also replaced when importing forms
- Fix: “Invalid user role” error on multisite Registration form
- Fix: Condition is not working properly for decimal numbers
- Fix: Currency field formatting issue in email notifications
- Fix: File was not uploaded if the form was submitted before the upload completed
- Fix: Post Data Field labels are not translatable
- Fix: PayPal Field is not rendering in Gutenberg editor
- Fix: Visibility setting not working for Confirm Email field
- Fix: Visibility rules based on Email field don't work when Confirm Email field is enabled
- Fix: Prevent creating duplicate Stripe payment intents on form load for subscriptions
- Fix: Validation issue caused by Signature Field
- Fix: Captcha field compatibility issue with Elementor popup
- Fix: Submission error caused by "is not" condition in PayPal field
- Fix: Email notifications fail if routing is based on field values containing spaces or special characters
- Fix: Consent Field placeholder is not working inside HTML field
- Fix: "Go back" behaves incorrectly after previewing form templates
- Fix: PHP deprecated error on PHP 8.2 during import forms
- Fix: PHP deprecated errors while connecting Slack integration with any form
- Fix: Quiz submit button custom text doesn't update when Leads option is enabled
- Fix: Missing text format in PDF Payment field
- Fix: Paginated form reloads to first page before redirecting in the same tab
- Fix: Additional CSS classes on PDF page header and footer not working properly
- Fix: PDF CSS selectors do not work in Custom CSS option
- Fix: Select field was displaying HTML entity &#039; instead of the correct character (') in placeholder


= 1.42.2 ( 2025-04-21 ) =

- Enhancement: Add a new menu item to help you discover other free plugins by WPMU DEV and more


= 1.42.1 ( 2025-04-16 ) =

- Fix: Security improvements


= 1.42.0 ( 2025-04-08 ) =

- Enhancement: Add Cloudflare Turnstile Integration
- Enhancement: Add the ability to allow or block specific emails or domains in the Email field
- Enhancement: Add Email Confirmation Field
- Enhancement: Add PDF template based on DIV tags
- Enhancement: Add ability to hide empty fields in the generated PDF
- Enhancement: Twitter rebranding
- Fix: Apple Pay amount defaults to $1 when using Stripe dynamic payment methods
- Fix: Stripe field displays a note about future charges even for one-time payments
- Fix: Form fails to submit when using Indian Stripe accounts with restricted keys using dynamic payment methods
- Fix: Incorrect Google address in Autocomplete for certain countries
- Fix: Visibility Conditions in Field Groups cause calculation errors
- Fix: Draft does not load if the Select field mode was changed
- Fix: Images added to quiz answers don't have alt attributes
- Fix: Fatal error when submitting expired Draft forms
- Fix: Fatal error on free version when Signature field is added to the form
- Fix: Label is added twice for the Name field with Multiple options
- Fix: Textarea field does not preserve formatting for the default value
- Fix: Slider field handle overlaps the calendar when the Date Picker field is clicked
- Fix: Issue with replacing spaces with dashes in PDF names
- Fix: Slider custom colors revert to default after closing form preview
- Fix: Hidden field with Submission Date as default returns empty value


= 1.41.2 ( 2025-03-24 ) =

- Fix: Visual editor scrolling issue


= 1.41.1 ( 2025-03-11 ) =

- Fix: Appearance Presets get reset to default values after update


= 1.41.0 ( 2025-03-10 ) =

- Enhancement: Slider Field update
- Enhancement: Caching DB query results to improve efficiency
- Enhancement: Improve compatibility with PHP 8.4
- Enhancement: Improve compatibility with WordPress 6.8
- Enhancement: Remove unused code
- Enhancement: Highlighting forms with uncompleted configuration
- Fix: Calculation field with Prefix is not triggered on initial form load
- Fix: PayPal payment fails due to expired reCAPTCHA
- Fix: Google Sheets integration works only initially if Page Reload submission is enabled
- Fix: HubSpot integration issue with their consent field
- Fix: Submission fails when Checkbox option with value of 0 is selected
- Fix: Error message is not visible in some cases
- Fix: PDF filename issues when using Cyrillic characters
- Fix: Translations don't work on Appearance Presets section under Settings page
- Fix: Number field gets out of focus when hovering away from the field
- Fix: Ampersand (&) is not supported in form names
- Fix: Issue with Select field validation

= 1.40.0 ( 2025-02-24 ) =

- New: Ability to place field description text above or below field inputs
- Enhancement: Cloud templates feature is now available for WPMU DEV Free Plan members
- Enhancement: Stop creating the same Stripe payment intents each time when a form loads
- Enhancement: Improve performance by caching DB query results for getting entries
- Enhancement: Compatibility with OceanWP Theme
- Enhancement: Only load Mixpanel classes if Usage Tracking is enabled
- Fix: Stripe not assigning the customer when new Stripe field is used
- Fix: Indian clients unable to receive Stripe payments due to missing Customer Name and Address
- Fix: Avoiding conflicts with intl-tel-input library in 3rd-party plugins
- Fix: Form disappears after PayPal payment for AJAX Submission Method
- Fix: Incorrect order of Personalities when there is a tie in Personality Quiz results
- Fix: Hidden field Values "HTTP Refer URL" and "Embed URL" are working in reverse
- Fix: Submitted form data shows incomplete information in some cases
- Fix: Remove .rar files from supported upload file types
- Fix: Empty form with Post field can be submitted
- Fix: Hide Select field options without values
- Fix: Upload fields not working properly
- Fix: Upload field with conditional visibility remains visible after form submission
- Fix: Form Submission fails with PHP Fatal Error when Visibility Condition set to Contains for Upload field
- Fix: Fatal Error when Google Sheet API token is invalid
- Fix: Fatal Error when publishing or unpublishing a form with Stripe Field and invalid Stripe Key
- Fix: Empty screen appears after entering name for existing Google sheet file and then clicking on "Enter" button


= 1.39.3 ( 2025-02-24 ) =

- Fix: Security improvements


= 1.39.2 ( 2025-02-21 ) =

- Fix: Security improvements


= 1.39.0 ( 2025-01-28 ) =

- Enhancement: Phone field validation
- Enhancement: Optimize DB queries and their execution frequency
- Enhancement: Add block previews and update Forminator icon in Gutenberg editor
- Enhancement: Migrate packages and build to support @wordpress/element and native React from WordPress
- Enhancement: Remove deprecated classes from integrations
- Enhancement: Improve method to fetch upload directory
- New: Add submission date placeholder
- New: Add filter to disable Cloud Template features
- New: Add Filter to disable all payment-related features
- Fix: Stripe Field doesn't load when Visibility Condition is set for Stripe Field with Live Mode
- Fix: Link to Stripe Payment Methods goes to test dashboard
- Fix: No error is displayed when Stripe Tax ID is invalid
- Fix: Stripe field error in Course Enrollment Form
- Fix: Incorrect country ordering if translation is applied
- Fix: Certain long numbers are messed up when pushed to Google Sheet integration
- Fix: When you input the form's name and hit the "Enter" button multiple times, it creates multiple forms
- Fix: Phone field with international validation appears broken inside Group field
- Fix: Form redirect behavior is not working properly
- Fix: Modern multi-select style breaks other field Visibility Conditions
- Fix: "Is before" and "Is after" conditions are not working as expected
- Fix: Disable removal of dial code for International Validation
- Fix: Double country flag when there is an error after form submission
- Fix: Draft Submitted/Expired warning is not shown if form is loaded via Ajax
- Fix: Import certain forms fails
- Fix: iFrame is removed from HTML field
- Fix: Country names don't appear properly in international phone field when using Colibri WP Theme
- Fix: Signature field is not shown as full width when it is inserted after page break
- Fix: Creating new form with Stripe field and without connecting it causes an error
- Fix: Error Message for Password strength setting contains an HTML entity code
- Fix: Select field options without value issue
- Fix: Address label is not translated when {all_fields} is used in Email Notification
- Fix: PHP notice on Submissions page
- Fix: Fatal error when ActionScheduler tables are missing


= 1.38.3 ( 2025-01-22 ) =

- Fix: Security improvements


= 1.38.2 ( 2025-01-13 ) =

- Fix: Stripe field shows subscription terms on One Time plans
- Fix: Phone field in Material Design has unnecessary space for the country flag


= 1.38.1 ( 2024-12-24 ) =

- Fix: Resolved an issue with the Forminator Elementor widget disappearing
- Fix: Resolved a bug affecting country selection in the phone field on mobile devices


= 1.38.0 ( 2024-12-18 ) =

 - Enhancement: Add support for Stripe Dynamic Payment Methods
 - Enhancement: Pass subscription ID in webhooks
 - Enhancement: Improve Paypal Venmo integration
 - Enhancement: Support for Stripe Subscriptions individual field tags
 - Enhancement: Update get_entries() API method
 - Fix: "Ready to go!" popup modal disappears after publishing the form
 - Fix: Compatibility with Extra theme
 - Fix: Wrong country flag on phone field
 - Fix: Forms do not accept some file types even if they are allowed
 - Fix: Deprecated notice when you connect Google Sheets
 - Fix: The payment Receipt option does not work with subscriptions
 - Fix: Empty screen appears when entering the name for Google sheet integration and then clicking on the "Enter" buttons
 - Fix: Form Lifespan -> Expiry Date option does not work
 - Fix: No warning message shows on imported form with subscription plan when stripe addon is disabled
 - Fix: PHP error when a different WordPress language is selected
 - Fix: Moving to the appearance tab in Poll throws console warnings
 - Fix: PHP warning when submitting the registration form


= 1.37.1 ( 2024-11-25 ) =

- Fix: Conflict with Divi child themes
- Fix: Calculation field does not work due to Number Formatting
- Fix: Notice for _load_textdomain_just_in_time called incorrectly since WordPress v6.7


= 1.37.0 ( 2024-11-19 ) =

- Enhancement: New Basic Style mode for Forms
- Enhancement: Add Use Theme Colors option
- Fix: Low-level roles can create a Registration form
- Fix: Security improvements
- Fix: Incorrect access to Preset and Cloud templates for users on the Free plan
- Fix: Low-level roles can Approve or Delete Users when manual approval is set for the registration form
- Fix: PayPal payment cancellation fully prevents form submission with no option to re-try payment until the form is reloaded
- Fix: Calculation error in the donation template when the "other" donation option is selected
- Fix: Add missed settings for Appearance Presets
- Fix: Syntax error in CSS file causing issues with Litespeed Cache plugin UCSS
- Fix: Issue with creating the registration form
- Fix: No calendar background when the Colibri WP theme is active
- Fix: Upload file inline validation does not work for some file types
- Fix: Signature UI is broken on the Submission page in some cases
- Fix: All polls become inactive when there is more than 1 poll on a page and one of them is submitted
- Fix: Add security notice for Registration Forms for administrator roles
- Fix: Adding odd technical text on PDF files


= 1.36.2 ( 2024-10-23 ) =

- Fix: Remove development dependencies from the plugin


= 1.36.1 ( 2024-10-21 ) =

- Fix: Security improvements


= 1.36.0 ( 2024-10-09 ) =

- Enhancement: Update Google Sheets integration library.
- Enhancement: Update phone number validation library.
- Fix: Improve compatibility with the Paid Memberships Pro plugin.
- Fix: Resolve issue where Forminator reCaptcha fails when both Defender 2FA and reCaptcha are enabled on login form.
- Fix: Correct CSS syntax error causing LiteSpeed Cache plugin's UCSS to break.
- Fix: Address field preview issue when using the Full Site Editor and the Gutenberg Forminator Form block.
- Fix: Resolve signature field display issue in full-width mode.
- Fix: Prevent blank page on poll submission when "Display Results" is enabled and rendering is done via AJAX.
- Fix: Escape unescaped characters in participant email titles for quizzes with leads enabled.
- Fix: Ensure special characters are correctly counted in textarea fields when a character limit is set.
- Fix: Resolve issue where number fields with comma separators caused URL redirects to fail.
- Fix: Address conflicts between field conditions when switching between options.
- Fix: Correct template translation issues.
- Fix: Ensure redirects work properly based on date conditions.
- Fix: Resolve custom spacing issue in the "None" design style.
- Fix: Apply security improvements.


= 1.35.1 ( 2024-09-17 ) =

- Enhancement: Stripe API and PayPal secret key encryption
- Fix: Security improvements

= 1.35.0 ( 2024-08-27 ) =

- Enhancement: Code improvements
- Fix: Installatron on cPanel reverts Forminator Pro to Free
- Fix: Issues with submitting PDF files and storing submissions in the database
- Fix: Unpublished quiz does not display an error on submission
- Fix: Submission fails when the Consent field is translated
- Fix: Duplicated image when Custom Field is enabled
- Fix: PayPal payment form issues with reCaptcha
- Fix: Stripe field does not show if is hidden by CSS
- Fix: Checkbox Links are not crawlable
- Fix: If Required field validation is not checked first, the PayPal button does not work

= 1.34.1 ( 2024-08-13 ) =

- Fix: XSS vulnerabilities

= 1.34.0 ( 2024-07-17 ) =

- Enhancement: Compatibility with WordPress 6.6
- Fix: Rating field Color section inconsistent
- Fix: Multi Select field is forced to have a default option
- Fix: Lifespan submissions limit ignored for quizzes until the page is refreshed
- Fix: PDF attached in Email Notification
- Fix: On the third page of pagination, it is not possible to access the previous page of the form list
- Fix: Clicking "Submit Deposit" fails when entering a valid zip code
- Fix: "Is Not" condition is not working with zero or null value
- Fix: Form embedded in Elementor popup showing duplicate buttons
- Fix: When submitting the paginated form, fields can be hidden based on the visibility condition

= 1.33.0 ( 2024-07-10 ) =

- Enhancement: Stripe integration with new RAK Keys
- Fix: Border appears around the pagination form when clicking on any unfilled area or rating field
- Fix: Prefixes are not allowed in the Pakistani phone field
- Fix: Clicking the last dot of the pagination indicator skips required fields
- Fix: Custom required alert message does not appear in the Rating field
- Fix: Select field displays the first option instead of placeholder text
- Fix: When switching from Update Existing Template to New Template, the template name disappears from the selection.

= 1.32.0 ( 2024-06-26 ) =

- New Feature: Add Preset and Cloud Form Templates
- New Feature: Add a Rating field
- Enhancement: Ability to choose worksheet to send data to in a Google Sheet
- Enhancement: Add a modern multi-select option to the Select field
- Enhancement: Update Phone Number validation library
- Enhancement: Compatibility with Custom Field Suite plugin
- Fix: Incorrect state in PayPal billing details
- Fix: Visibility conditional logic for the submit button based on radio doesn't work on paged forms
- Fix: Issues with Group duplication and dragging
- Fix: Files stay on the server deleting submission files.
- Fix: Default HTML upload field is visible in Post Data featured image along with styled field
- Fix: Connected integrations are missing on the Integrations page for quizzes without leads
- Fix: Delay when dragging and dropping Forminator fields
- Fix: Issue when creating Preset
- Fix: Issues with form submission when the Name field is set to Required with prefill enabled.
- Fix: Textarea field width is not aligned with the other fields when placed on the 2nd column
- Fix: Colon removed from URL when using the Hidden field for redirect
- Fix: Submission_id in the Hidden field doesn't work in MailChimp integration
- Fix: Forminator doesn't show the menu selected when using Windows High Contrast Mode
- Fix: Captcha will not show on preview after the first try on Forms
- Fix: JS error when dragging and dropping fields in Forminator
- Fix: Issues with translating certain strings

= 1.31.0 ( 2024-05-28 ) =

- Enhancement: Update Stripe library to the latest version
- Enhancement: Add the ability to align ReCaptcha to the right
- Enhancement: Prevent disabling calculation option on fields that are used in Calculations field formulas
- Fix: Workato Webhook does not connect
- Fix: Password is sent as plain text in Login form when using a webhook
- Fix: Some fields do not support HTML tags in the description
- Fix: Incorrect password on Forminator Login form for a specific password
- Fix: Conflicts with the Suremember plugin
- Fix: Stripe field is not showing on PopUp plugins
- Fix: International phone validation field prevents submission even if the field is optional
- Fix: Quiz Final Count message is erased even after saving
- Fix: Open the GDPR links in a new browser tab by default
- Fix: Form expands when loaded via Ajax while having conditionally visible fields
- Fix: Number field is not working for Stripe pre-filled postal code
- Fix: Pagination custom button text is not working if you start the form with a Slider field
- Fix: Post data field shows only the first Category and first tag in email notification when Multiple option is selected for tags and categories
- Fix: Replace statement_descriptor_suffix to fit the Stripe API
- Fix: Some Custom CSS classes in the PDF add-on are no longer working
- Fix: Slider values are not getting reset when a form is submitted
- Fix: Sorting submissions does not apply to exported CSV
- Fix: Upload field issue with WebP file type
- Fix: HTML Validation for select fields
- Fix: Can't assign Name field to username in User Login Form
- Fix: Escaping characters in redirect URL breaks form pre-population
- Fix: Contact Form 7 image file size limit is not imported
- Fix: Scheduled Exports in Submissions do not allow editing of the email on Forms
- Fix: Columns break when custom spacing value is set to 0
- Fix: Search bar on matching Hubspot fields isn't working
- Fix: Incorrect scrolling in paginated forms with long HTML field content on mobile devices

= 1.30.2 ( 2024-04-30 ) =

- Fix: Temporarily support deprecated classes for integrations

= 1.30.1 ( 2024-04-09 ) =

- Fix: Backward compatibility with Complianz plugin

= 1.30.0 ( 2024-04-08 ) =

- New Feature: Integration with MailerLite
- Enhancement: Refactoring of all integrations
- Enhancement: Twitter rebranding
- Enhancement: UX improvements for Forminator addons
- Security Fix: Cross-Site Scripting (XSS) vulnerability
- Security Fix: SQL injection vulnerability
- Fix: Aweber integration not connecting when an identifier is added
- Fix: Replaced h4 tags with label tags for field labels
- Fix: HTML field displays 'undefined' if a field used inside HTML content is deleted
- Fix: Filter not functioning correctly for Draft/Complete form status during Export Submissions
- Fix: Sort Order filter not applied correctly during Export Submissions
- Fix: Submission Status in the submissions filter box not clearing
- Fix: Irrelevant submission status filter for quizzes on the Submissions page
- Fix: Black border appears when opening accordion on the Submissions page
- Fix: Disabling Paypal shipping address option not functioning
- Fix: Personality quiz returning incorrect personality in case of a tie in results
- Fix: Paginated form cannot be submitted if there is a Consent field on one of the pages and Draft is used
- Fix: Textarea label overlaps the default value when using the Material preset on forms
- Fix: Color issue on input fields in Safari

= 1.29.2 ( 2024-03-06 ) =

- Fix: Stripe doesn't work on some mobile devices

= 1.29.1 ( 2024-03-05 ) =

- Fix: XSS vulnerabilities

= 1.29.0 ( 2023-01-23 ) =

- New: Range slider
- New: PDF Receipt Template
- Fix: Email notification from Save and Continue feature does not support {all_fields} or individual fields
- Fix: Embed URL receives the referrer URL instead of page URL when the form is not loading from Ajax
- Fix: The export of Forminator submissions displays an incomplete URL for the uploaded files.
- Fix: The total value of repeater field groups is not correctly reflected on email notifications
- Fix: Add_form_field API fatal error in PHP 8.0+
- Fix: The repeater field data in the email notification is missing and the submission shows incorrect data
- Fix: If a visibility condition is configured on the Stripe field, payment plan conditions don't work
- Fix: ActionScheduler crashes website due to outdated table structure
- Fix: Form displays "This value must be greater than or equal to 1" error
- Fix: The Number field decimal doesn't work on emails
- Fix: When two users submit the form at once, limit submission doesn't work
- Fix: Export missing field data
- Fix: Required Checkbox triggers an error message on pagination
- Fix: The manual approval of user registration forms doesn't work when the website URL is too long
- Fix: Zapier WebHook integration missing upload field data
- Fix: On the submission page, the file name of the signature goes outside the box
- Fix: Upload timeout error

= 1.28.1 ( 2023-12-18 ) =

- Improvement: Hosting offer update
- Improvement: Discount copy update

= 1.28.0 ( 2023-11-06 ) =

- New: MailJet Integration
- New: User role permissions
- Improvement: jQuery validation version update
- Improvement: Compatibility with WordPress 6.4
- Improvement: Randomize checkbox and radio button options
- Fix: Improved handling of action scheduler
- Fix: CSV exports and DB entries generated by spam submissions
- Fix: Fatal error if php_uname() function is disabled on server
- Fix: Check curl_init before loading the mix panel

= 1.27.0 ( 2023-10-03 ) =

- New: Usage Data tracking
- Fix: Phone validation set to Croatia or other international formats prevents form submission
- Fix: Resume message from Save and Continue display field tag name instead of typed text
- Fix: Using merge tags in checkbox/radio fields results in an "Error! Invalid payment amount!" message
- Fix: Hovering over number fields triggers the "Typing" action
- Fix: The search field is not working when an additional field is added to a HubSpot form
- Fix: Form submission fails when the Field Group repeater has "choice" fields and the PDF is attached to the email
- Fix: Inline validation prevents PayPal submission in case of pre-submission errors
- Fix: Stripe charges an incorrect amount for payments over 999 when using comma-formatted numbers

= 1.26.0 ( 2023-09-05 ) =

- New: Geolocation add-on that collects location information on form submission, and provides address auto-suggestion.

= 1.25.2 ( 2023-08-23 ) =

- Improvement: Discount copy update

= 1.25.1 ( 2023-08-18 ) =

- Improvement: Minor improvements in copy

= 1.25.0 ( 2023-08-10 ) =

- New: PDF Generator add-on that generates and sends PDF files from form submissions

= 1.24.6 ( 2023-07-06 ) =

- Fix: Issues with Form Submission

= 1.24.5 ( 2023-07-05 ) =

- Improvement: PHP Compatibility

= 1.24.4 ( 2023-06-30 ) =

- Fix: HubSpot Redirection URI mismatch

= 1.24.3 ( 2023-06-27 ) =

- Fix: Submit button remains disabled after fixing the required field error
- Fix: Duplicate submissions on paginated forms if the stipe field is present
- Fix: Security fixes

= 1.24.2 ( 2023-06-19 ) =

- Improvement: Hubspot URL Redirection
- Improvement: Add notes for translations with placeholders
- Improvement: Prevent XSS vulnerability in translations
- Fix: Email displays incorrect currency when custom separators are used
- Fix: Issues with the Country field on disabling and re-enabling
- Fix: Stripe charges incorrect amount

= 1.24.1 ( 2023-06-01 ) =

- Fix: 'Uncaught TypeError createRoot' console error on Form Editor
- Fix: Submission behavior conditions not working as expected
- Fix: Double submissions happen on clicking the Submit button twice quickly
- Fix: Repeated items are missing when a draft is edited and saved again

= 1.24.0 ( 2023-05-23 ) =

- Improvement: Option to change the size of radio/checkbox images
- Improvement: Add filter to change the upload path
- Improvement: Phone field input validation
- Improvement: Add alt text to images on quiz answers
- Improvement: Added new notice that reports only data from live payments on the report page
- Fix: Conflict with Norebro theme
- Fix: Dropdown styling in different languages
- Fix: Delete Alert box design
- Fix: Compatibility with PHP 8.1 and 8.2
- Fix: Timepicker Field Default Minutes issues when the value is 0
- Fix: The E-Signature label overlaps the placeholder when using the Material preset on Forms
- Fix: Select input doesn't show the dropdown menu on the oxygen builder
- Fix: Defender Masked login area does not work with Lost your password option in the login form
- Fix: Google Lighthouse Aria labels
- Fix: Defender login recaptcha verification fails with Forminator recaptcha
- Fix: Incorrect Stripe charges if the field Visibility is hidden
- Fix: Issues with form submission when 'Multiple' is selected in the Name field
- Fix: Upload field mapped to the custom field does not include file URL in the post data field
- Fix: Captcha language cannot be set back to Automatic after language is set on the captcha
- Fix: Stripe's field meta does not display all address fields when changed on forms
- Fix: Textarea does not recognize the max character limit when a field is required and rich-text editor is enabled on forms
- Fix: URL redirection when the dynamic field value is used
- Fix: The AJAX method can fail to upload multiple files if one of the files is invalid or the form was submitted too soon
- Fix: Autofill is not allowing the form to be sent
- Fix: Submission retention reset to Custom and 0 days
- Fix: Unused/old CSS filling the server
- Fix: Adding HTTP to email body URLs
- Fix: Registration form default submissions text doesn't change after the edit
- Fix: TinyMCE is not working in pagination when set to required and loaded using Ajax
- Fix: Account registration successful message is not working for manual activation
- Fix: ACF and file upload field in the registration form
- Fix: The form added in the Elementor popup is not submitting
- Fix: Issues with conditional logic
- Fix: Form is not showing conflict with All in One SEO
- Fix: Registration emails are not translated
- Fix: Stripe 3D secure payment is not working with page reload
- Fix: Uncaught Error: Call to a member function switch_to_locale() on null
- Fix: UI issue on recipients tab on adding multiple recipients
- Fix: Rich edit textarea values are stripped of HTML if post data custom fields have rich edit textarea
- Fix: Submission filters are not applied to CSV export if the filter is user status for registration forms
- Fix: Email address should be validated for email notification recipients
- Fix: Power Automate webhook is not working
- Fix: Form returns a validation error in the Phone number field when Faroes Islands is configured as the default country
- Fix: Upload file button reloads the page when the form is placed in PopUp for the Divi plugin
- Fix: If one text field is hidden with visibility based on a select field, both values are added to the post data custom field
- Fix: When we submit a long lead form, the quiz is not focused
- Fix: Unable to move the fields in post data custom fields
- Fix: Site errors getting exported when a form is exported
- Fix: Forminator always enqueues Roboto font
- Fix: Conditions for the currency field should match other number fields
- Fix: The multiple files upload via limit size is not working after removing exceeded files
- Fix: Scheduled Exports returns "Invalid form type"
- Fix: Section without a label is not separated in emails
- Fix: Submit button does not appear if the user removes the submit text from the submit button
- Fix: Translation issues with Forminator Pro refresh button text
- Fix: The "Appearance" tab doesn't display the option to change color for the Consent field
- Fix: No message displayed on form submission, when the lead generation form placement is set to 'Before showing results'
- Fix: "Embed URL" in the hidden field is incorrect
- Fix: In the Dashboard, the last submission time ignores polls and quizzes
- Fix: On multisite, the WordPress Settings link is broken on the Reports Notifications Schedule tab
- Fix: Aweber subscriber data getting overwritten for existing subscribers

= 1.23.4 ( 2023-05-15 ) =

- Fix: Uploading a single file is prevented by the payments field, resulting in a 404 error
- Fix: HTML field content is stripped of anchor tag target property

= 1.23.3 ( 2023-04-10 ) =

- Improvement: Security improvements
- Fix: Hidden field query parameters are not saved on submission

= 1.23.2 ( 2023-04-03 ) =

- Improvement: Compatibility with WordPress 6.2
- Improvement: Security improvements

= 1.23.1 ( 2023-03-06 ) =

- Improvement: The upload path has been updated for enhanced security
- Fix: Security improvements
- Fix: Compatibility with PHP 8.0

= 1.23.0 ( 2023-02-07 ) =

- Improvement: Calculation operators
- Improvement: Hidden fields calculations value
- Improvement: Make Grouping compatible with Save and Continue feature
- Improvement: Limit form submissions per logged-in user
- Fix: Handle possible WP errors
- Fix: File upload is not sent to Google Sheets via Zapier
- Fix: Reset rule must apply only for forminator
- Fix: Inline message does not work with Stripe
- Fix: Number field minimum limit is not working when it is set to 0
- Fix: Issue when using JPY currency
- Fix: Visibility and calculation issues in grid format
- Fix: The default transparency color picker on the form container is set incorrectly
- Fix: PayPal throwing payment error
- Fix: A radio button with an apostrophe in the value cannot be calculated
- Fix: Form slow to load with a 'Maximum call stack size exceeded' console error
- Fix: Polls cannot be created from mobile devices
- Fix: When sharing quiz content on Facebook, the message is not included
- Fix: If the Hustle Pro pop-up is displayed, the PayPal payment field does not appear
- Fix: Unrecognized request URL error in Stripe when the multiple name field option is enabled
- Fix: Embedding a poll on the same page breaks the form
- Fix: Creating a knowledge quiz form with the leads option enabled results in empty answer fields
- Fix: Visibility rules are causing errors if required fields are present in group fields
- Fix: Select and Checkbox in Calculations doesn't work on repeated items
- Fix: Random failures on ReCaptcha and pop-ups
- Fix: Visibility Bypass hidden in Calculation
- Fix: Error in formula during calculation
- Fix: 'You cannot confirm this PaymentIntent' Stripe error
- Fix: Custom taxonomies are not included in submissions and notifications of Post Data fields
- Fix: When subscription payments are enabled in Stripe, payment details do not work
- Fix: Google Sheets integration is not working on connecting to a folder in a shared drive
- Fix: Stripe gives an error on submission when a calculation condition is used on a payment plan
- Fix: Submit button can't be hidden in a payment form with pagination
- Fix: Form missing data on submission and causes issues with email routing
- Fix: Calculation field bug
- Fix: Elementor Pro - pop-up makes duplicated ajax calls
- Fix: Stripe payment amount processed incorrectly
- Fix: Reply-to adding space in emails
- Fix: Log warnings while attempting to read properties
- Fix: Error in calculation field when notification email is resend
- Fix: An error occurs when you match the Date field to Hubspot and leave it empty on the form submission
- Fix: Paypal's funding sources disappear on horizontal layout change
- Fix: Fatal error when you import redirection for CF7
- Fix: Incorrect view count in old forms when switched to the latest version
- Fix: Select, Checkbox, and Radio showing empty values in email notifications for knowledge quiz with leads enabled
- Fix: Log warnings on form submission when the File upload field is mapped to custom meta in the Stripe field
- Fix: "Automatically Login new user" option should be ignored when "Manual Approval" is selected in the Registration form
- Fix: Quiz Submission does not show repeated items if the Leads form has Field Group
- Fix: Number field in Calculation does not work correctly when a number has a default value or value from the query parameter
- Fix: Duplication of the "Save as Draft" button on enabling "Enable save and continue" and embedding the form twice
- Fix: Aggregate Checkbox, Radio, and Select fields do not work in the Calculation formula

= 1.22.1 ( 2022-12-20 ) =

- Fix: Reports notifications send multiple emails
- Fix: Security improvements

= 1.22.0 ( 2022-12-14 ) =

- Improvement: Support repeated groups of fields with Webhook and GSheet integrations
- Improvement: Use Repeater in Calculation field
- Improvement: Provide a horizontal placement option for multiple field names
- Fix: Calculations field in repeater groups use only the first item used in the formula, not the items in that group
- Fix: Submission export breaks when fields aren't filled out
- Fix: Unable to select files when Multiple File Upload field is repeated and Form is Loaded using Ajax
- Fix: Having more than one Field Group and disabling Repeater in settings does not change the Minimum Repeater Limit
- Fix: Only the first item in the required field is validated when the field is repeated and the form does not have inline validation
- Fix: When Form is loaded using Ajax and Hustle popup has a form embedded that also has a number field, custom limits values do not work
- Fix: Validation error for required checkbox disappears for first group item when Form is Load using ajax
- Fix: Required option does not allow to submit form when field group is hidden due to visibility rule
- Fix: Group visibility is not applied to child fields, it causes error if the subfields are required and doesn't allow the submission
- Fix: Missing data on submission page and in CSV files
- Fix: Paypal field still accepts payments even if there's an error on Forms
- Fix: Forminator JavaScript loops
- Fix: Number field does not show Limits both custom error messages on Forms
- Fix: Same field ID of multiple forms on a single page
- Fix: Submission behaviour has a blank space added on redirect URL behaviour
- Fix: Redirect to URL containing space between Query Parameters get stripped
- Fix: Checkbox required message not showing up if at first if inline validation enabled
- Fix: Hubspot selected Items are added but invisible in ticket description
- Fix: Forminator inline CSS is overriding the pagination footer
- Fix: Featured Image not showing proper in Preview with None feature
- Fix: Create new quiz popup options is misaligned
- Fix: The email field is not aligned on the Submissions page
- Fix: Visibility rules from repeater field overwrite rules in second items
- Fix: Stripe field still accepts payments even when there's an error on Forms
- Fix: Incorrect usage of aria-describedby
- Fix: Fatal Error on submitting form when Integration has condition using Date
- Fix: All phone number validations reset to Afghanistan after plugin update

= 1.21.0 ( 2022-11-28 ) =

- Fix: Security improvements
- Fix: Lead submissions to an unpublished quiz
- Fix: Signature field does not work on Divi Popups
- Fix: Stripe field not visible in pop-ups with on-click triggers
- Fix: MailChimp Tags Modal window doesn't appear for quizzes
- Fix: Phone field "National" validation fails when entering a valid international number
- Fix: If Akismet protection is enabled, the form will display a warning when the Signature field is submitted
- Fix: Redirect after submission isn't working
- Fix: API method for adding polls isn't working
- Fix: It is only possible to pre-populate a query variable if the option is set to 'Selected'
- Fix: Uncaught exception for Mailchimp causes a fatal error
- Fix: Register/login links disappear after submission
- Fix: Multiselect email routing bug
- Fix: Content filed in the Post Data field doesn't work with save and continue
- Fix: The thousands separator is not working in email when using the {calc-ID} macro
- Fix: Although calculations is disabled for a Number field, it is still used in calculations
- Fix: The ampersand (&) sign is counted as 5 characters instead of 1
- Fix: Bypass adding the required email notification recipient
- Fix: Error when adding an ampersand (&) sign as a Checkbox option value
- Fix: PayPal shows an error message when adding multiple forms with a PayPal button on the same page
- Fix: An extra "+" character is added to phone number upon submission if the number is incorrect
- Fix: Performing calculations on two number fields are initially out of sync when using the increase/decrease buttons

= 1.20.1 ( 2022-11-09 ) =

- Improvement: Report Notifications are disabled by default
- Improvement: Reports Notifications screen UI improvements

= 1.20.0 ( 2022-11-08 ) =

- New: Scheduled report notifications
- Improvement: Custom Variable selections includes Number fields
- Fix: Quiz preview modal doesn't work
- Fix: Knowledge quiz email notification values for From Name, Reply-to email, CC emails, and BCC emails don't work
- Fix: No Pagination is not set as the quiz presentation type if you use the back button on the quiz creation modal window
- Fix: HubSpot and AWeber Identifier aren't working
- Fix: The "Jordanian Dinar – JOD" is missing from the Payment Currency list
- Fix: Typo on the links for Invisible hCaptcha
- Fix: Submission indicator doesn't work when a validation error occurs
- Fix: Select option values aren't trimmed for visibility conditions
- Fix: Can't create new forms via the dashboard page due to an update notification popup
- Fix: Timepicker limit not working
- Fix: Empty submission value when setting the Submission ID as a default value for a hidden filed
- Fix: Conditional rules don't work when setting the Default Value of the Hidden field to Query Parameter
- Fix: Error when Routing is based on a checkbox field

= 1.19.0 ( 2022-10-13 ) =

- New: Field group
- New: Repeater for field group
- Improvement: Replace Google fonts with Bunny fonts for GDPR compliance
- Improvement: Change "Setup" to "Set Up" in all modal windows
- Fix: When high contrast mode is enabled, the dropdown form selector displays as usual
- Fix: Bulk Actions do not have Publish/Unpublish options
- Fix: Field value is empty when the condition includes a checkbox with capital letters
- Fix: Recaptcha issue with Complianz plugin
- Fix: Issues with dropdown values
- Fix: Issues with quizzes on mobile
- Fix: Poll Result does not display after submission
- Fix: Some languages have misaligned fields
- Fix: Accessibility issue in Forminator Export Area
- Fix: Windows high contrast mode accessibility issue
- Fix: Signature field breaks PayPal
- Fix: UI issues when high contrast mode is enabled
- Fix: Receive multiple submissions when clicking the submit button several times
- Fix: Emails added in the email notification tab are deleted when Save and Continue is disabled
- Fix: CSV export file size is 3 bytes despite having entries

= 1.18.2 ( 2022-09-28 ) =

- Improvement: Membership detection

= 1.18.1 ( 2022-09-09 ) =

- Fix: Registration form not submitted due to password mismatch
- Fix: Form does not submit with Stripe field in the same row as other fields
- Fix: Reports increase in percentage arrows are red instead of green

= 1.18.0 ( 2022-09-05 ) =

- New: Forminator Reports to help with tracking performance of forms, polls, and quizzes
- Add: Admin email Macro {admin_email}
- Improvement: Convert Zapier integration to Webhook integration
- Improvement: Additional appearance settings for Input Border Radius and Hover Colours
- Improvement: Replace Select placeholder default "null" to "Search"
- Fix: Checkboxes and selects do not save multiple selections separately
- Fix: A float cannot be used as a number if inline validation is disabled
- Fix: The time picker checks on time limits in real-time
- Fix: The checkbox fields aren't showing up as checked
- Fix: Conditions apply when the visibility rules are set to Hidden
- Fix: Validation of email fields is not disabled
- Fix: Safari does not support e-signature
- Fix: Conditions not working for the address field
- Fix: Can't clear date limits for the Datepicker field
- Fix: Error when Site Registration is enabled on the registration form
- Fix: Issue with ACF and file upload field in the registration form
- Fix: Going out of range for the number field when using the up/down arrow keys
- Fix: Selecting a default future date does not show the correct date for specific date formats
- Fix: Visibility conditions don't work when adding the Stripe field and not connecting it
- Fix: A calculation field's 'hidden' setting is overridden if a 'visibility' condition has been set previously and not deleted
- Fix: The PayPal and Stripe fields do not appear in Divi's popup
- Fix: Issue with Stripe 3D secure payment
- Fix: Load form Ajax conflict with SEOpress plugin
- Fix: the e-signature is not saved after submission
- Fix: PayPal displays an error when two different forms with PayPal buttons are added to the same page
- Fix: Max and Min Limits are not working when setting a number field as required
- Fix: Address field does not work with query parameters
- Fix: Stripe field doesn't exist error
- Fix: Values for select fields are not saved when visibility is dependent on a checkbox
- Fix: Error when input field visibility is dependent on a select box
- Fix: Limit validation fails for the Currency field when using some formatting separators
- Fix: Form Email Routing does not work with recipients added from Select or Radio buttons
- Fix: Visibility conditions fail for a Textarea field dependant on Currency and Calculations fields
- Fix: Failing to validate numeric fields in some cases
- Fix: The country flags are broken in the phone field on mobile devices
- Fix: The country code does not appear for the default country
- Fix: Symbols do not work with Stripe metadata
- Fix:  Checkbox pre-selected option is removed when its visibility is dependent on another field
- Fix: The year select dropdown displays the current year instead of "Select year" when the Datepicker field type is set to dropdown and the Year Range 'To' filed is set to a future date
- Fix: Stripe field does not work with visibility conditions
- Fix: Removing a custom error message doesn't revert to the default one
- Fix: The pre-populate function only works if the query variable is after the selected option
- Fix: Comma or Separators in Fields cause some problems
- Fix: Stripe Font is not Displaying Correctly
- Fix: Stripe failing with 0 balance form
- Fix: No value is passed when the calculation field is mapped to a custom field and submitted
- Fix: Error when having null values for hidden fields set as required
- Fix: Conflict with Ultimate Member plugin
- Fix: Textarea field label issue with RTL
- Fix: The fields are not prefilled via the URL query when setting the Name field to Multiple
- Fix: Number and Text fields do not display 0 on the front end when 0 is set as the default value
- Fix: Some fields are cut off when adding a Page Break
- Fix: The Select Field requires a placeholder if set as required
- Fix: Names and values of select/radio fields do not sync
- Fix: Recaptcha does not work in Divi's popup
- Fix:  Removing spaces before a tag in the Text field description
- Fix: Returning an empty array or WP_Error object in the get_forms() method of the Forminator API
- Fix: HTML Validator posts errors coming from Forminator
- Fix: Upload file issue on mobile applications
- Fix: The description field in HubSpot does not work
- Fix: Fields are missing in email notifications
- Fix: The pagination progress bar and next button disappear from the form
- Fix: Calculation field decimal separator causes an infinite loop in JS
- Fix: Posts are created when the inline validation option is disabled
- Fix: Form is not submitting with Stripe field in the same row with other fields
- Fix: Trello integration does not add cards
- Fix: Browser console error when adding the same form twice on the same page
- Fix: PayPal does not work when Pre-fill Billing Details is disabled
- Fix: Incorrect Country flag showing up in Phone field
- Fix: PayPal module doesn't show up when pagination is enabled
- Fix: Recaptcha and hCaptcha verification fail if Stripe field is hidden
- Fix: Forminator will only add the associated ticket to Hubspot If the contact belongs to a list
- Fix: Quiz ActiveCampaign integration issue
- Fix: Active Campaign integration doesn't show the correct fields
- Fix: Mailchimp submission error with radio type
- Fix: Consent filed label always shows an asterisk even if it is not required
- Fix: The number field in the stripe description create a fatal error

= 1.17.2 ( 2022-07-20 ) =

- Add: Email body merge tag added with {submission_id}
- Improvement: Nonce is not validated by default upon submit
- Improvement: Scrolling quiz results
- Fix: Adding the same form twice to the same page causes an error
- Fix: PHP notice while activating Hubspot in the Integration tab for a specific form
- Fix: Spam trigger in email and Zapier integration submissions
- Fix: Redirect_uri_mismatch when you authorize Google sheets
- Fix: An invalid redirect_uri in Hubspot integration
- Fix: Aweber is not showing the entire list
- Fix: Newly added tags are not visible in Mailchimp
- Fix: Consent is not sent to Mailchimp
- Fix: ActiveCampaign checkboxes issue
- Fix: Adding square brackets to Google sheets
- Fix: Issue with Zapier integration
- Fix: Fatal Error on MailChimp
- Fix: Stripe Subscription fatal error on live payments
- Fix: An apostrophe is added to numbers in Google Sheets integration
- Fix: Fortress DB fatal error when submitting a form
- Fix: Timepicker 00 hour and minutes issue
- Fix: Slack Re-authorize buttons are not aligned
- Fix: Submission date filter is not working for quizzes
- Fix: Incorrect validation message when the upload limit is exceeded
- Fix: Empty registration form value in submission
- Fix: Fatal error when viewing submissions of Lead Quiz Knowledge
- Fix: Calculation and checkbox visibility bug
- Fix: Disable Search on Select field doesn't work
- Fix: A Hustle pop-up infinite scroll
- Fix: Close/Deactivate button alignment issue on the Integrations screen
- Fix: UI issue in Behavior Lifespan field
- Fix: Improve email validation
- Fix: Adding a link after a file field results in removing a character
- Fix: Trello design issue between label and dropdown
- Fix: {submission_id} merge tag doesn't work in Trello integration
- Fix: Form Data doesn't work in HTML field text editor
- Fix: Form Email routing is not working correctly
- Fix: Timepicker limits are not working
- Fix: HTML field does not display the time value after submission
- Fix: Material Design issue in textarea
- Fix: Can't edit checkbox and radio options
- Fix: Border style is not working for the selected answer image
- Fix: If there are spaces in select field values, emails contain 0 instead of the actual value
- Fix: Missing form button on the post editing screen when using the Classic Editor
- Fix: Select dropdown doesn't recognize keystrokes
- Fix: Displaying several instances of ActiveCampaign
- Fix: Lifespan Expiry Date doesn't work when site language is Spanish
- Fix: Multiple image file attachments don't display correctly in Trello integration
- Fix: Failing to check registered user
- Fix: Input fields color issue on Safari
- Fix: Error using the offset value on the Datepicker field
- Fix: Field visibility cannot be set based on the day

= 1.17.1 ( 2022-06-30 ) =

- Fix: Ajax forms load without returning the values of the fields for partial submissions
- Fix: Limit validation fails for the Currency field

= 1.17.0 ( 2022-06-23 ) =

- Features: Partial submissions
- Add: Giveaway campaign
- Add: Resend email button to Submissions page
- Improvement: Clean-up and maintenance in admin styles
- Improvement: Edit form button on frontend
- Fix: Close icon is missing in email notification tab
- Fix: Rich-text editor bugs with pagination
- Fix: Nested options in Quiz shows scrollbar
- Fix: For quizzes and polls, the dropdown label is not aligned with the dropdown
- Fix: Checkbox does not pass the correct value to URL
- Fix: A custom class isn't applied to the submit button
- Fix: User registration does not store signature meta
- Fix: The form data featured image should only accept images
- Fix: The embed URL field is incorrect
- Fix: The Poll Appearance padding does not work
- Fix: jQuery "ready" method deprecated
- Fix: Views are not properly counted
- Fix: Incorrect encoding of characters
- Fix: Stripe fields can be submitted multiple times
- Fix: When Decimal Points are set in the Currency Field, the visibility does not work
- Fix: ReCaptcha does not work on popups
- Fix: Chinese characters are cut off in submissions and emails
- Fix: Even if the radio/checkbox/dropdown field has a value other than one that the owner added, the form still submits
- Fix: Error on form submission with invalid nonce
- Fix: List of countries where conditions do not work
- Fix: Next week's dates have been selected
- Fix: A few fields on the quiz lead do not use custom fonts
- Fix: Error in activation email for user registration
- Fix: In Elementor Popups, Forminator Load From Ajax does not work
- Fix: In the Setup Name screen, there is a description
- Fix: When Hummingbird Page caching is active, Forminator Form stops rendering after nonce expiry
- Fix: The Preview Notice on submissions shows '0'
- Fix: When I try to submit the quiz lead form as a guest, it doesn't show any message about 'Enable logged in submission only'
- Fix: Consent does not work with custom error messages
- Fix: The submission schedule export does not work for monthly and weekly submissions
- Fix: CSV template download no longer works

= 1.16.2 ( 2022-05-31 ) =

- Fix: Blank PHP file issue while creating Polls
- Fix: Visibility conditions don't work with subfields

= 1.16.1 ( 2022-05-26 ) =

- Fix: HTML field is not working
- Fix: Can't submit the registration form when the Autofill option is enabled
- Fix: Custom field is not rendering slug value

= 1.16.0 ( 2022-05-19 ) =

- Improvement: Refactor submission process
- Fix: Member function fatal error after updating the latest version

= 1.15.14 ( 2022-05-04 ) =

- Fix: Submission indicator is not working in validation error
- Fix: Form name input field is not working while the New Update popup opens
- Fix: Typo on the links for Invisible hCaptcha
- Fix: manage_forminator capability no longer exists in user role
- Fix: HubSpot and AWeber Identifier aren't working
- Fix: Whitespace in select fields causing error in visibility conditions
- Fix: Fields do not support blank space from URLs

= 1.15.13 ( 2022-04-26 ) =

- Improvement: 2FA functionality backward compatibility with Defender
- Improvement: Show Localized numbers in the HTML field
- Improvement: Replace Forminator registration form activation URLs with a more generic URL
- Fix: Multiple polls getting closed on the same page
- Fix: Select field's bulk edit affects visibility rules
- Fix: Multi upload does not remove the number of files when selecting none style
- Fix: Visibility condition not working for Address field
- Fix: Receipt is not receiving in email for stripe payment
- Fix: Phone number field CSS issue inside Hustle
- Fix: When two User Registration forms are added on the same page forms can't be submitted
- Fix: Conflict with WP Forms plugin
- Fix: Select field is not working when the form is placed on a slide-in
- Fix: Vietnamese Phone Number Format
- Fix: Optional password setting does not work when minimum strength is not set to 'None'
- Fix: Pre-populate feature doesn't add spaces when AJAX is disabled
- Fix: Creating a new Quiz and Poll is not working with PHP 7.3
- Fix: The pagination button doesn't have the same heights on mobile
- Fix: Featured Image description not used in the frontend
- Fix: Console error when you remove a file to be uploaded
- Fix: Conditions logic breaks after submission
- Fix: Submission causing a 500 error
- Fix: PHP Warning when submitting a form with a number field
- Fix: 3rd secure payment is not working
- Fix: Limit is not working when Rich Text enabled for Textarea
- Fix: Quiz Leads "Coming Soon" is missing for Duplicate and Export

= 1.15.12 ( 2022-03-03 ) =

- Improvement: Update Trello Integration
- Improvement: Show Localized number in HTML field
- Improvement: Change dash API function get_membership_type()
- Improvement: Update SuperSignature library
- Fix: Form Captcha script impacting on page speed and score.
- Fix: Remove "Query parameter" from the list of macros inside the "Add form data" button
- Fix: Missing file uploads after removing a file
- Fix: all_non_empty_fields doesn't respect decimal settings in number fields
- Fix: Error in Submissions page when the form has upload field and integrated to Activecampaign or Mailchimp
- Fix: Visibility conditions don't work on non-English sites
- Fix: Block Editor Colors replaces the embed_title macro
- Fix: Date doesn't show in one line in the email when Dropdown mode selected
- Fix: Hubspot integration is not working for the datepicker
- Fix: Pagination steps formatting issue
- Fix: Textarea breaking the lines in the email
- Fix: E-signature field doesn't work well in mobile
- Fix: Draft forms/quizzes/polls are included on WP widgets and Submissions page
- Fix: Upload limit per file doesn't work correctly
- Fix: E-mail notifications are stripping zeros from decimal values in calculations and don't include the set prefix/suffix
- Fix: PayPal payment fails with "Error! Invalid payment amount!"
- Fix: ActiveCampaign sending incorrect data
- Fix: Stripe payments fails when the calculation of over 1000$
- Fix: Change "Behaviour" to "Behavior"
- Fix: Select field - Limit Submission and Ajax Mode issue
- Fix: Add validation for "Title" in the Postdata field
- Fix: Form can be submitted when you manually enter the disabled dates
- Fix: Decimal formatting issue with currency field
- Fix: Individual form submissions cannot be deleted
- Fix: Preview doesn't work for the textarea field
- Fix: Postdata gets submitted when payments are declined in Stripe
- Fix: Datepicker's year field isn't marked with a red border on validation
- Fix: {submission_time} macro not working for emails.
- Fix: Failed to load plugin: WordPress from URL
- Fix: JS error when Stripe is not configured
- Fix: Loader icon is missing when opening an add-on modal
- Fix: Post Data field content editor is duplicated

= 1.15.11 ( 2022-02-07 ) =

- Features: Global Appearance Presets
- Improvement: Hubspot app Migration to Granular CRM Scopes
- Fix: Editor showing an error when the rich-text option enabled
- Fix: Console error in preview while changing the visual/text for post content
- Fix: Console error in the settings tab of the upload field after upgrading to the latest version
- Fix: Incorrect country flags for the International phone field option

= 1.15.10 ( 2022-01-27 ) =

- Improvement: Update SUI
- Fix: Stripe billing details showing incorrect email field placeholder
- Fix: Typo in the Mailchimp integration modal
- Fix: Embed Form button not working in Hustle
- Fix: Typo preventing Google Fonts from loading
- Fix: Values added via CSV or Bulk Edit are not case sensitive

= 1.15.9 ( 2021-12-08 ) =

- Fix: PHP error in captcha field after update

= 1.15.8 ( 2021-12-08 ) =

- Features: Conditionally execute 'After submission' behaviour
- Features: hCaptcha support
- Features: Conditionally send leads to integrations
- Improvement: Replace GDPR field with Consent fields in form templates
- Improvement: Replace "ReCaptcha" with "Captcha" throughout plugin
- Improvement: Add warning message when using Stripe and PayPal fields without visibility conditions
- Improvement: Support shortcodes in quiz results
- Improvement: Add submission time option to Hidden field
- Fix: Links not saved on form
- Fix: Stripe payments incomplete when Stripe field has visibility conditions
- Fix: Upload field not sending to add-on integration
- Fix: Permissions on multifile upload
- Fix: Signature not captured on Registration form
- Fix: Datepicker field date limitations
- Fix: Timepicker field won't submit if hours set to 0
- Fix: Form field mapping for login fields not working
- Fix: PayPal stopped working after Pro upgrade
- Fix: Slack integration redirect error
- Fix: Form UI broken if 'Load Quiz using AJAX' enabled
- Fix: Registration form JS error
- Fix: Fatal error when submission method is Page Reload

= 1.15.7 ( 2021-11-26 ) =

- Fix: Sanitised Custom HTML email notifications.
- Fix: Compatibility with PHP 7.3

= 1.15.6 ( 2021-11-23 ) =

- Improvement: Update out of date libraries
- Improvement: Remove duplicate libraries that already in core
- Fix: Data must be Sanitized, Escaped and Validated
- Fix: Stripping HTML tags

= 1.15.5 ( 2021-11-03 ) =

- Improvement: White labeling support

= 1.15.4 ( 2021-10-13 ) =

- Fix: XSS vulnerability

= 1.15.3 ( 2021-09-28 ) =

- New: Added "Consent" field in Forms
- New: Added a visibility rule for the Consent field
- Improvement: Added Pre-fill Billing Details & Shipping Address option in Paypal integration
- Improvement: Added option to remove funding sources in Paypal integration
- Improvement: Updated Integration apps logos for ActiveCampaign and AWeber
- Improvement: Allow multiple accounts and lists for the same integration
- Improvement: Allow Mailchimp Tags and Groups
- Fix: Conditional email not working for Quiz Results
- Fix: Stripe incomplete payment when visibility rules use date field.
- Fix: Special characters aren't allowed in multi-option Values
- Fix: XSS vulnerability

= 1.15.2 ( 2021-09-01 ) =

- Fix: Fields added under the Password field are invisible on the frontend.
- Fix: PHP Notice when you add a Poll Answer
- Fix: Optional number field shows a required error message on submission
- Fix: Select field value doesn't accept non-Latin characters

= 1.15.1 ( 2021-08-26 ) =

- Add: Support Image to polls answers
- Add: Filter registration forms submissions based on user status Approved/Pending Approval
- Add: "Approve Users" bulk action for registration forms submissions
- Add: "Resend Activation Email" button on submission page
- Improvement: Send registration form password in activation email only passwords will be automatically generated.
- Improvement: In the case of "Auto Generate Password" in the registration form Show a notice to delete the password input field.
- Improvement: Update the Account Activation Email copy for the registration form
- Improvement: Disable autocomplete for datepicker field
- Improvement: Forminator country list
- Improvement: Make users aware of reserved WordPress terms using Pre-populate on fields
- Improvement: Reposition Quiz Retake button style
- Fix: Restrict adding multiple password fields
- Fix: User Login validation error messages
- Fix: Restrict to sends new blog activation when Site registration is disabled
- Fix: Radio, Checkbox, and Select field auto value converter issue
- Fix: Select field limit submission doesn't work on multiple select field
- Fix: Timepicker dropdown time limit validation message
- Fix: Custom error message when Number field limit is 0
- Fix: Place holder overlaps with the title in Text Area
- Fix: Select fields CSS breaks when embedding more than 2 forms on the same page
- Fix: Required select field not working well
- Fix: Required Rich Text field on the first page it doesn't prevent going to the second page
- Fix: Select field required validation not working if "Enable inline validation" is disabled
- Fix: Quiz email notifications can't add existing users to the recipients.
- Fix: HEIC files are bypassed by the Upload Field's extension rules
- Fix: Quiz evaluation loader is not showing
- Fix: Radio button label is not showing up in the HTML fields

= 1.15.0.1 ( 2021-08-12 ) =

- Fix: Dash plugin shows Forminator as not installed.

= 1.15.0 ( 2021-08-12 ) =

- New: Stripe Subscriptions add-on that allows you to collect recurring payments on your forms.
- New: Ability to add multiple pricing plans with conditional logic on Stripe field.
- New: Localization number formatting for Number, Currency & calculations fields
- Improvement: Allow both Stripe and PayPal payment in a single form
- Improvement: Conditional payments for PayPal
- Improvement: Quizzes accessibility for Videos and Images

= 1.14.12.1 ( 2021-07-21 ) =

- Fix: Using special characters in checkbox, radio, or select field options throw a JS error.

= 1.14.12 ( 2021-07-05 ) =

- Add: Ability to add images for Radio and Checkbox options.
- Add: Pagination support for quizzes.
- Add: Bulk import options for Radio, Checkbox and Select fields.
- Improvement: Conditionally assign roles during registration.
- Improvement: Added Question Description HTML field for each Quiz question.
- Improvement: Multiple knowledge quiz answers allowed when 'On Submission' display option is selected.
- Improvement: Update reCatpcha v3 styles and position.
- Improvement: Search option on listings pages.
- Improvement: Added Akismet options under Behavior > Security tab.
- Improvement: Added option to use value or label for Select/Radio/Checkbox fields.
- Improvement: User registration form storing plain user password in meta table.
- Fix: PayPal submission button can be bypassed.
- Fix: Stripe Email Receipt is not being submitted.
- Fix: Checkbox field option selection on front-end causes page to scroll to top.
- Fix: Wrong calculation value when visibility with type "Show" is used.
- Fix: Fields with visibility conditions Day and Month breaks if the site language is different than English.
- Fix: Poll results are squashed when there are many answers.
- Fix: Date picker field "Today" option should use WordPress settings time instead of UTC.
- Fix: Select Drop downs not working on Hustle PopUp.
- Fix: Radio field front-end styling issues on "Twenty Twenty" theme.
- Fix: Some custom css selectors are not working on Quiz with leads.
- Fix: Conditional visibility issues with Submit button.
- Fix: Wrong calculation of conditionally hidden fields.
- Fix: Signature image is not getting through all integrations.
- Fix: More than 1 submissions export is sent for a form with scheduled exports.
- Fix: Recaptcha v3 badge is behind the sidebar widgets on Astra Theme.
- Fix: Optimised database query on Registration template.
- Fix: Quiz with Leads form, "Start quiz button" text can not be updated.
- Fix: Form title empty space are converted to dash(-).
- Fix: Mailchimp integration does not work with Registration form.
- Fix: Date format on Date picker field is not functional.
- Fix: Discard changes (CANCEL) button doesn't work properly for Radio/Checkbox/Select fields.
- Fix: JavaScript console errors when adding new fields in wizard.
- Fix: Submitting form and "logging in" in meantime throws JS error and submission is invalid.
- Fix: Security vulnerabilities
- Other minor enhancements/fixes

= 1.14.11 ( 2021-04-29 ) =

- Improvement: Front-end code refactoring and optimisation
- Improvement: Remove the inline CSS Forminator adds on the page source
- Fix: E-Signature is not saved for some forms when rendering is set to Ajax
- Fix: Conflict between Forminator and Hummingbird AssetOptimization
- Fix: Phone field with Material Design style not aligned properly
- Fix: Classic Editor embed form button not working
- Fix: Shortcode Embed button not working inside Hustle's wizards
- Fix: Upload field not working correctly with pagination
- Fix: Text fields content duplicated if validation fails
- Fix: Quiz Preview not showing description HTML
- Fix: Conflict with Divi Builder CSS styles
- Fix: iPhone multiple upload field uploads files with same names
- Fix: PayPal button doesn't show up when there is Pagination field
- Fix: Usermeta mapping on Registration form doesn't work correctly
- Fix: Select field throws errors when Multiple options option enabled
- Fix: Several instances of the same form break Gutenberg editor
- Fix: Modules search field not reset when search field is empty
- Fix: Personality quiz redirects to the wrong wizard page
- Fix: Wrong result count in modules Search
- Fix: Form cannot be submitted when PayPal visibility rule is set
- Fix: "Unpublish" feature from "Bulk Action" dropdown shows fatal error
- Fix: Create a new form > Choose a template pop-up layout is broken.
- Fix: PHP Deprecated notice: Required parameter $count
- Fix: The default label of Poll's button is not displaying
- Fix: Buttons on delete Poll popup are not properly aligned
- Fix: Duplicate and Create buttons are not working on Edit Poll Page
- Fix: Bulk Publish and Unpublish shows PHP Fatal error
- Fix: File Upload field doesn't work on Type > Single

= 1.14.10.1 ( 2021-04-14 ) =

- Fix: "Invalid payment amount!" error when PayPal used with decimal amount
- Fix: GDPR field not saving in submissions
- Fix: ReCaptcha not loading when form has Select field
- Fix: PHP8 Fatal error on Knowledge quiz submission

= 1.14.10 ( 2021-04-05 ) =

- Improvement: Add search option to listing pages for forms, polls and quizzes
- Improvement: Mailchimp integration markup and content
- Improvement: Load Select2 and Moment JS files conditionally
- Improvement: Markup for some of the fields is incorrect
- Improvement: Notify users of popups when forminator form is submitted
- Fix: Select field throws JS errors
- Fix: Calculations not updated when visibility condition is triggered
- Fix: ReCaptcha 3 not displayed on Divi theme
- Fix: Submitting form with no date chosen in date picker field returns an error
- Fix: Select fields are broken when NONE style is selected
- Fix: Conflict with Neira theme causes double select field drop downs
- Fix: Stripe and Date picker icons are using wrong custom colors
- Fix: Form's status displays as usual even with high contrast mode enabled
- Fix: Wrong selectors in Custom Css option
- Fix: Issues when Time Picker field when Default time set to 0
- Fix: Poll Answer text color settings are not applied on front-end
- Fix: Retake Quiz Button is missing on Knowledge quiz
- Fix: Visibility issues with Name field with multiple fields enabled
- Fix: Merge tag {all_fields} doesn't include all fields
- Fix: Response message on form submit gets cut off due to wrong auto scroll
- Fix: Issue with the Calendar position at the Limits tab of Date-picker field
- Fix: Poll's container border not displayed on front-end
- Fix: Poll's Email notifications merge tags missing curly brackets
- Fix: Poll's Email notification CC and BCC auto complete doesn't show any results
- Fix: On multi site, when you connect and install FortressDB, it doesn't auto-search plugin for easy install.
- Fix: Custom font is not applying on Upload file button text and upload file text through appearance tab
- Fix: Remove submission doesn't work in Global Account Erasure Requests
- Fix: From name and From address doesn't override default ones
- Fix: Validation not working for "Sitename" in register form for Multisite
- Fix: Amp character getting url_encoded in redirect URL
- Fix: ADA compliance/accessibility issue
- Fix: Forminator multiple type + Specific filetypes dont accept uppercase file extensions
- Fix: IP Retention doesn't work properly
- Fix: Conflict with Hustle select
- Fix: Conflicts with WP User Front-end and VikBooking plugin
- Fix: Second visibility rule is not being applied
- Fix: Address field printed incorrectly in submission email
- Fix: Issues with decimal places
- Fix: If there are Name and IP Address in GDPR content text, then it's not showing the details on front-end and email
- Fix: Collected leads count not showing correct number
- Fix: Inline message after submission not breaking lines on P element
- Fix: Wrong form displayed on View Stats on Dashboard
- Fix: Reset tracking data not working after edit any module
- Fix: Additional CSS class not added for Hidden field
- Fix: ReCapcha is not returning invalid if you try to submit empty required fields first
- Fix: Signature link overflows outside the container
- Fix: Different calculation results in front-end and submission entry from hidden select field
- Fix: Payments processed even for spam entries
- Fix: "0" is not a valid select drop down value
- Fix: Wrong years in Date picker drop down
- Fix: Signature issues on Windows PC Touch Screen
- Fix: Radio field shows value instead of label in submission
- Fix: JS errors in console from Post Data field
- Fix: Security vulnerabilities
- Other minor enhancements/fixes

= 1.14.9 ( 2021-02-25 ) =

- Improvement: Stripe submission stored but payment is not received
- Improvement: Added multi-answering capability to knowledge quizzes
- Improvement: Update the supported currencies list of Stripe and Paypal
- Improvement: Duplicate form input ID's in admin
- Improvement: When using "User IP" merge tag in hidden field, captures the ip at the time of form submission instead of on form load
- Fix: Select field pushing below field on expanding
- Fix: Remove the "Enter List Limit" step in MailChimp integration
- Fix: Polls results not showing up with Shortcodes Ultimate enabled
- Fix: Quiz container border color cannot be changed
- Fix: Missing images in radio options after update
- Fix: Phone field is not showing when used inside Hustle
- Fix: ReCaptcha doesn't load on Firefox when Ajax load is disabled
- Fix: Export Schedule is sent in different time
- Fix: Allow whitespace on Form/Poll/Quiz title
- Fix: Checkbox does not take up raw HTML tags
- Fix: Submissions counter (stats) not updated when entry deleted
- Fix: Payment possible even if form doesn't validate
- Fix: Pagination is broken in popup
- Fix: Currency fields not exporting via Google Sheet integrations
- Fix: Visibility conditions don't work with the "Hidden" field type
- Fix: Date picker limits don't work with some date formats
- Fix: Call to undefined function mime_content_type()
- Fix: Console warnings for non-unique id #forminatorNonce
- Fix: Global PayPal currency setting not followed on the PayPal settings
- Fix: Conditionally hidden field that takes part in calculation has value "1" in email notifications
- Fix: WP Editor with AJAX load breaks select field conditions
- Fix: Only post data title field sent to email, others fields missing
- Fix: Date conditions is_day and is_month are not functional
- Fix: Form loses styles when displayed conditionally on a page
- Fix: Import CF7 form submissions don't work for Flamingo
- Fix: Conflicts with Divi Overlays
- Fix: Issues after selection of the last page of the pagination
- Fix: reCAPTCHA V3 field does not work when "Load form using AJAX" is enabled and another active plugin uses the same keys
- Fix: Personality quiz email settings include conditions from Knowledge quiz
- Fix: Conditional logic is not working on IE11
- Fix: Duplicate question with answers are modified when you edit answers of the original or the copy
- Other minor enhancements/fixes

= 1.14.8.1 ( 2021-02-12 ) =

- Fix:  Security vulnerability in the Multi-file upload
- Fix:  Security vulnerability in the Quiz retake option

= 1.14.8 ( 2021-01-28 ) =

- Improvement: Add a gender neutral option Mx. to the name prefix dropdown
- Fix: PayPal submission stored but payment is not received
- Fix: Form cannot be submitted if Signature field set required
- Fix: Signature field not working with Pagination
- Fix: Pressing enter on text input field triggers upload button
- Fix: Upload field with multi upload and pagination adding files multiple times
- Fix: Today option not working for date field limits
- Fix: Multi upload files has wrong url from Media Library
- Fix: Password field included in dropdowns on Email Notification tab
- Fix: Forminator Settings has console errors of non-unique-ids
- Fix: Pagination visibility issues when form used in Hustle popup
- Fix: Allow "0" zero value fields to be displayed in email notifications
- Fix: Mailchimp integration generates a fatal error when date field is Dropdown or Text input
- Fix: Forminator Section title doesn't respect the font-size set under Appearance section
- Fix: Signature field value is not included within email when merge tag used
- Fix: E-Signature field is not working on Preview
- Fix: Guernsey (GG) and Jersey (JE) are missing from the Country drop-down
- Fix: ReCaptcha error message styles are missing
- Fix: Signature field area cover half of the field
- Fix: Signature field field value not saved after submission in specific cases
- Fix: Sharing Quiz results on Facebook
- Fix: Fatal error on submission when DatePicker type is dropdown/text inputs
- Fix: Font weight shows "Invalid property value" in css
- Fix: Poll results page showing error message box
- Fix: Mailchimp > Status says not sent but it was actually sent
- Fix: View Custom Form link showing in Menu navigation on Quiz submission page 
- Fix: Cannot add optional field to HTML field and email notification
- Fix: Post Data shows only public CPTs
- Fix: Form not redirecting to a page upon submission when iPhone is used

= 1.14.7 ( 2020-12-17 ) =

- Improvement: PayPal payment successful but submission not stored.
- Improvement: Load select2.js and moment.js libraries conditionally.
- Improvement: WP 5.6 and PHP 8 compatibility fixes.
- Fix: Invalid font weight and font style classes on the front-end.
- Fix: Time field showing the required validation error even when it is not empty.
- Fix: Submission loader keeps spinning with JS errors in the console.
- Fix: Fatal error on Google Sheets integration.
- Fix: Importing CF7 forms throwing fatal PHP error.
- Fix: Missing forms in Forms listing page.
- Other minor enhancements and security fixes.

= 1.14.6 ( 2020-11-23 ) =

- Fix: "Something went wrong while saving your form. Please try again" error while trying to save a form.
- Fix: Unable to fetch the integrations list.

= 1.14.5 ( 2020-11-20 ) =

- Fix: Updating to the latest version causing "Sorry, you are not allowed to access this page" error when trying to access the plugin on some single sites and multisite networks.
- Fix: Value of a Hidden Calculation field added to an HTML field using merge tag stopped appearing.
- Improve: Small fixes and improvements.

= 1.14.4 ( 2020-11-12 ) =

- Fix: Search form not functional
- Fix: Gutenberg blocks preview render empty content
- Fix: Gutenberg blocks print deprecated component errors in console

= 1.14.3 ( 2020-11-06 ) =

- Fix: Updating to 1.14.2 causing “Sorry, you are not allowed to access this page” error when trying to access Forminator.

= 1.14.2 ( 2020-11-05 ) =

- Add: New capability to give users and user roles access to Forminator
- Improvement: Option to auto-open field settings when just one field is inserted in a form
- Improvement: Remember last visited module on the Submissions page
- Improvement: After the form submits, calculation read-only fields should not be blank.
- Fix: The number field not accepting decimal numbers
- Fix: Post data categories, tags, and featured image not working correctly with google sheet integrations
- Fix: Textarea data missing on Submissions page for a few cases
- Fix: Max Characters limit is not working properly
- Fix: Conflict with Branda text replacement when exporting submissions as CSV
- Fix: HTML Entity showing up on front-end
- Fix: Poll success message is not showing up after submitting a vote
- Fix: Date picker is broken with specific visibility options
- Fix: Mailchimp integration returns invalid merge tags error response
- Fix: Page scrolls to poll module on refresh
- Fix: Multiple conditions on the date field breaks the submission data
- Fix: Issues with Quiz redirect after submission
- Fix: Browser caching issues with reloading page
- Fix: Datepicker arrows' background-color not updated based on admin settings
- Fix: Pagination button's font family is not displaying properly on the front-end
- Fix: Password strength doesn't work as expected in Registration forms
- Fix: Form submissions successful message doesn't allow HTML
- Fix: Custom CSS breaks when ">" is used in the selector
- Fix: Signature field's issues with Google sheets integration
- Fix: Weird text output on Submissions page for PayPal payments
- Fix: Dropdown selection not displayed properly
- Fix: Submission behavior setting's description is duplicated on Behaviors tab
- Fix: Poll with "None" design style still shows image loader
- Fix: Country list in Address field is duplicated on front-end
- Fix: Textfield with max words enabled doesn't work as expected
- Fix: Increment option in time field doesn't apply on starting value
- Fix: IE 11 console errors
- Fix: Translation issues
- Other minor enhancements and security fixes

= 1.14.1 ( 2020-10-09 ) =

- Fix: Small fixes and stability improvements

= 1.14.0 ( 2020-09-24 ) =

- Add: Capture leads on Knowledge and Personal quizzes
- Add: Support suffix and prefix in calculation fields
- Add: Shortcode support in quiz results
- Improvement: Ability to change error message for number and Currency field when value added is out of set limits
- Improvement: Update Google Sheets interation documentation
- Improvement: Move Preview button to the top floating bar
- Improvement: Add ability to copy the module shortcode from the editor
- Improvement: Steps pagination are clickable
- Improvement: Update phone validation settings UI and add the ability to select a default flag for international phone number
- Improvement: Add due Date support in Trello integration
- Improvement: Automatically use Privacy Policy link in GDPR field
- Fix: Poll vote count hide not functional
- Fix: Quiz custom CSS having few wrong selectors
- Fix: Add option to center successfully submitted message
- Fix: Forminator emails broken in Outlook
- Fix: Select field does not allow submission of "0" zero value
- Fix: Login form doesn’t display in Hustle popup
- Fix: Conditional payment on Stripe is not working correctly
- Fix: Input date field can not be submitted triggering validation error
- Fix: Slack integration not working for public and private channels
- Fix: Conflict with Pretty Links plugin
- Other minor enhancements/fixes

= 1.13.5 ( 2020-08-25 ) =

- Fix: WP 5.5 Gutenberg blocks missing permissions_callback
- Fix: Missing nonce check for CSV export

= 1.13.4 ( 2020-08-04 ) =

- Fix: Visibility conditions cause calculation result to be 0

= 1.13.3 ( 2020-07-24 ) =

- Fix: Missing WDP ID

= 1.13.2 ( 2020-07-24 ) =

- Fix: Select2 breaks form if another plugin loads the library
- Fix: Upload field value is blank in Google Sheets integration
- Fix: Required upload field does not show the uploaded file name
- Fix: Removed the form ID from {submission_id}

= 1.13.1  ( 2020-07-17 ) =

- Fix: Replace obfuscated with minified version of signatures script to prevent false positive reports
- Fix: Check if temp_folder exist before running cron for cleaning it
- Fix: Form shortcode with AJAX load replaces parent container
- Fix: Post data custom fields breaking the field settings
- Fix: Dropdowns doesn't show all values when used in pagination

= 1.13 ( 2020-07-13 ) =

- Add: Electronic Signature field
- Add: Multi-file uploads with the File Upload field
- Add: Integration with the FortressDB plugin
- Improvement: Advanced Date field restrictions
- Improvement: Advanced Time field limits and intervals
- Improvement: Ability to send uploaded files via File Upload field as email attachments
- Improvement: Allow additional file extensions not mentioned in the File Upload field
- Improvement: Support additional contact fields in the Hubspot integration
- Improvement: Allow multi-line placeholder for the Textarea field
- Improvement: Auto-populate submissions when only one form exists
- Improvement: Added a select /unselect all filter in the File Upload field when allowing specific field types
- Improvement: Make the input field of SUI color picker editable
- Improvement: Add an optional loading state while evaluating the quiz answers in real-time
- Improvement: Add error notification when form fails to save
- Improvement: Scroll to submission indicator on form submit
- Improvement: Character validation for the email field
- Improvement: Disable submit on pressing enter if submit button is hidden by condition
- Improvement: Add field search function while setting up visibility conditions
- Improvement: Datepicker's week start day should follow WP settings
- Fix: Select field shows the first option instead of placeholder
- Fix: Cannot register new user when logged-in
- Fix: Quiz social share and description custom colors not displayed on front-end
- Fix: Social sharing doesn't work with knowledge quizzes
- Fix: Issues with creating a new site on User Registration on a network
- Fix: Email fields are not appearing under the merge tag option for Redirect URL
- Fix: Form cannot be saved when custom user meta added for the User Registration template
- Fix: Visibility conditions issues with required fields
- Fix: Hidden field with query parameter doesn't work with AJAX loading
- Fix: Submission email is sent even when a submission marked as spam by the Akismet integration
- Fix: Module shortcode doesn't work with Elementor Pro
- Fix: File Upload field doesn't work on IE 11
- Fix: Stripe field is not visible on IE 11
- Fix: Default date doesn't work for the dropdown type Date field when it is set to a custom date
- Fix: Mailchimp fields are limited by 10 under the "Assign Fields" section
- Fix: Form preview doesn't work when a form is expired
- Fix: Submission error after Stripe payment in some cases
- Fix: "Add Email Notification" button breaks the form wizard in some cases
- Fix: Currency field not accepting any value other than 0 when limits are not set
- Fix: Upload field uses non-unique ids which causes console warnings
- Fix: Can't use apostrophes in Sender name under General settings
- Fix: Searching address in Poll Email Notification tab throws console error
- Fix: "Month Is" visibility option doesn't show any options
- Fix: "Refer URL" merge tag show the wrong result when AJAX load enabled
- Fix: Compatibility issues with Divi
- Fix: Global Privacy Settings should link to the Submissions tab

= 1.12.1.1 ( 2020-04-01 ) =

- Fix: Missing quiz styles on front-end

= 1.12.1 ( 2020-03-23 ) =

- Fix: Quiz submitting after answering first question
- Fix: Compatibility issue with BigCommerce plugin
- Fix: Name field breaks pagination

= 1.12 ( 2020-03-16 ) =

- Add: Registration & Login forms
- Improvement: Load Quiz front-end stylesheets efficiently
- Improvement: Load Quiz front-end JS efficiently
- Improvement: Add height option for Textarea field
- Improvement: User RGBA color picker for all pickers except text layer
- Improvement: Improved front-end pagination logic
- Improvement: Updated Stripe PHP lib
- Improvement: Allow upload limit to be set in different units (Byte, KB and MB)
- Improvement: Allow disabling IP Retention when 0 set as value
- Improvement: Make subject and body required for the email notifications
- Improvement: Add Unselect All for File Upload field
- Improvement: Quiz Real Time responses show answer faster
- Fix: Stripe payment not working when Stripe receipt field left empty
- Fix: Date field not displayed correctly on front-end with Ultimate Addons for WPBakery Page Builder
- Fix: Custom CSS not working for Polls
- Fix: Various typos
- Fix: Conflict between Stripe and Upload required fields
- Fix: Stripe field not rendering when form Material theme used
- Fix: Number field can be submitted only with zero field
- Fix: update_form_setting API method doesn't update settings
- Fix: Disconnected Hubspot integration is still displayed as connected
- Fix: Sender Email name is missing when email sent
- Fix: Empty file upload causes error message that files are exceeding max size
- Fix: Shortcode generator SUIselect2 breaks Hustle selects
- Fix: Server validations not working for Date field when type is text
- Fix: Scheduled export email sent only on admin email
- Fix: Conflict with Embed Plus for YouTube plugin
- Fix: Replace 'php://output' with 'php://memory' in CSV export
- Fix: Issues with Phone field validation
- Fix: Popup for leaving page with changes shown even no changes done
- Fix: Query Parameters prefill not working with AJAX form load
- Fix: "Invalid Format" when using decimals on number fields
- Fix: Refer URL is incorrect when slug contains percent-encoding
- Fix: PHP warning displayed on Quiz front-end
- Fix: Poll votes count cannot be hidden
- Fix: Forminator form notification sender email overwriting the default one
- Fix: Visual issues with Pagination on Twenty Twenty theme
- Fix: Text content goes outside the preview modal
- Fix: Quiz font does not match the theme font automatically

= 1.11.4 ( 2020-03-04 ) =

- Fix: GDPR field prints HTML as text

= 1.11.3 ( 2020-02-28 ) =

- Security Fix: Patch authenticated stored XSS

= 1.11.2 ( 2020-01-31 ) =

- Fix: Stripe field not rendering properly when Material design style is used on forms.

= 1.11.1 ( 2020-01-09 ) =

- Fix: PayPal throwing the 0 amount error when variable amount option is used.
- Fix: Visitors able to change the form fields data while making the inline credit/debit card payment with the PayPal field.

= 1.11 ( 2020-01-06 ) =

- Add: Importing forms from Contact Form 7 & third party add-ons
- Add: Hooks for Form, Poll and Quiz CRUD
- Improvement: Load front-end stylesheets efficiently
- Improvement: Load front-end JS efficiently
- Improvement: Add validation for PayPal field amount
- Improvement: Plugin reset doesn't delete Payment settings
- Improvement: Stripe forms giving console warnings
- Improvement: Nested calculatons with conditions
- Fix: Conditionally hidden fields are still required
- Fix: Cannot connect Google Sheets when Beehive is activated
- Fix: Email notification "from email" setting not applied
- Fix: Conditions with HIDE method not working as expected
- Fix: Wrong custom CSS selectors for Polls
- Fix: Redirect to same tab behavior
- Fix: Missing country Georgia
- Fix: Quiz and Poll custom CSS doesn't apply on front-end
- Fix: Phone field with National validation type fails to validate
- Fix: HTML stripped from quizzes Final Count message
- Fix: Editing calculation sometimes breaks the wizard
- Fix: Type attribute missing for Text field input
- Fix: Forms doesn't work in Elementor popup
- Fix: Select field inline validation fails

= 1.10.2 ( 2019-11-14 ) =

- Fix: WordPress 5.3 compatibility issues

= 1.10.1 ( 2019-10-30 ) =

- Improvement: Better sanitization/escaping of POST and GET requests.
- Fix: Sending plain emails and ignoring the notifications formatting.
- Fix: Incorrect calculations behavior with the Checkbox field.

= 1.10.0 ( 2019-10-23 ) =

- Add: Email routing and conditional emails
- Add: Pre-filling forms with dynamic data using query parameters
- Add: Hubspot integration support creating tickets from Forminator forms
- Improvement: New pagination flow
- Improvement: Ability to use {all_field} email merged tag to send only the non-empty fields
- Improvement: Not clear that From and Reply to fields can be used as input fields
- Improvement: Allow users to set custom required validation message for GDPR field
- Improvement: Date format in Datepicker field support for custom formats
- Improvement: Setting to optionally download the submissions based on the active filters.
- Improvement: Add option to upload media files to Media Library
- Improvement: Ability to change the quiz sharing message
- Fix: Address apartment sub-field doesn't show in email notification
- Fix: Issues with visibility conditions
- Fix: Hidden fields by conditions still calculated
- Fix: Form can be submitted with "Require SSL certificate to submit this form" enabled and no SSL certificate
- Fix: Conditions rule validation

= 1.9.2 ( 2019-09-26 ) =

- Fix: Stripe forms adding some unnecessary $1 payments marked as incomplete on the Stripe dashboard.
- Fix: Visitors sometimes getting charged even if there were some server-side validation errors while submitting the form.
- Fix: Calculation fields not getting submitted as Stripe metadata.

= 1.9.1 ( 2019-09-04 ) =

- Fix: Issue with Stripe keys

= 1.9 ( 2019-08-30 ) =

- Add: Stripe compatibility with SCA
- Improvement: Submission Indication should work with "page reload" submit method
- Improvement: Better Auto-generated values for multi value fields
- Fix: Pagination header and buttons still shown when form hidden after submit
- Fix: Dashboard boxes are not removed when limit number set to zero
- Fix: Visibility tab breaks when all fields are in single row
- Fix: Compatibility issue between Hustle and Forminator
- Fix: Issues with calculation on multi select field

= 1.8.1 ( 2019-08-19 ) =

- Fix: International and National phone validation always throws Invalid Format error

= 1.8 ( 2019-08-12 ) =

- Add: Hubspot integration
- Add: New improved front-end user interface for polls.
- Add: Settings to style poll chart colors
- Add: Allow form fields in HTML field
- Add: reCaptcha v3
- Improvement: Group settings on Settings page
- Improvement: Accessibility in condition settings
- Improvement: Add bulk delete on Poll submissions
- Improvement: Calculations logic depending on conditions
- Fix: Compatibility issues with Divi tabs
- Fix: Prevent applying visibility conditions on same field
- Fix: Prevent saving IPs on poll submissions when cookies selected
- Fix: All poll submissions on export have same date & time
- Fix: Integration modals close without refreshing the list
- Fix: Required fields are not reset to default when condition not met
- Fix: Allow only numerical keyboard on mobile for number fields
- Fix: Prevent negative voting limits for polls
- Fix: Issues with printing styles on preview
- Fix: Characters limit does not work with cyrilic
- Fix: Font weight should be normal instead of regular
- Fix: Phone verification not working with AJAX load
- Fix: Submission page filter not working as expected
- Fix: Shortcode generator does not work in Classic editor

= 1.7.1.3 ( 2019-07-22 ) =

- Fix: Condition rule reset when condition field changed

= 1.7.1.2 ( 2019-07-17 ) =

- Fix: Compatibility issue with WooCommerce select2

= 1.7.1.1 ( 2019-07-15 ) =

- Fix: Currency field amount in PayPal not changed when default value used

= 1.7.1 ( 2019-07-15 ) =

- Add: PayPal Payment gateway
- Add: Form templates
- Add: Option for horizontal radio and checkboxes
- Add: Option to redirect to new tab on submit
- Improvement: Stripe payment related data in Submissions page design update
- Improvement: Integrations UX
- Improvement: Date field conditions when dropdown or input type doesn't work as expected
- Improvement: Form Data in Personality quiz description not reflected on front-end
- Improvement: Set condition based on day, month and year for date picker
- Improvement: Placeholder text to Single Choice (Select2) search field
- Improvement: Customer email address allow email field from the form
- Fix: Visibility conditions on Submit button doesn't work with Pagination field
- Fix: Importing Forms removes HTML from email body
- Fix: MailChimp - Not all lists can be selected
- Fix: Stripe publishable key is going out of box on mobile compatibility view
- Fix: Spacing issue on submission expanded state
- Fix: Changed "Macedonia" to "North Macedonia"
- Fix: Forms grid not compatible with Divi tabs.
- Fix: Submission error for one of the polls is shown for all instances on the page
- Fix: Address field not correctly mapped on MailChimp add-on
- Fix: Quiz social sharing not showing up after quiz submission
- Fix: Quiz result not shared in Facebook post
- Fix: Entering admin email will add it twice

= 1.7.0.1 ( 2019-05-29 ) =

- Fix: Currency field amount converted to 1 in specific cases

= 1.7.0 ( 2019-05-14 ) =

- Add: Stripe Payment gateway
- Add: Calculations
- Add: New improved front-end user interface
- Improvement: Deleting submissions do not delete attached files
- Improvement: Validate field setting in Admin
- Improvement: Poll vote limitations
- Improvement: Add WYSIWYG editor to front-end
- Improvement: Added option to hide dropdown search box
- Improvement: Clicking on "Back to poll" button refreshes page even AJAX method selected
- Improvement: Added number of submissions merge tag for front-end
- Improvement: Submissions page doesn't show applied filters
- Improvement: Allow date format in DatePicker field
- Improvement: Scheduled submission exports to be send to multiple emails
- Improvement: Hide already submitted options in select field
- Improvement: Use Datepicker format on submissions page
- Improvement: Allow different text on Prev and Next buttons
- Improvement: Don't send blank form data of the hidden conditional fields
- Improvement: Add "double" digits on front-end Timepicker input
- Fix: {form_id} and {form_name} merge tags doesn't work in HTML field
- Fix: Date field year starts from 2120
- Fix: Issues when two DatePicker fields added to same page
- Fix: PHP notices on Quiz submissions
- Fix: Selecting form Submission behavior to After Submission breaks admin page
- Fix: Select dropdown breaks after form submission
- Fix: Submission issues when two Forminator widgets attached to the page
- Fix: Entering email to Email Notifications section add it twice
- Fix: Strings missing in translations
- Fix: While submitting poll "You have already voted for this poll" message displayed

= 1.6.3 ( 2019-04-08 ) =

- Add: Dashboard settings to control number of forms/polls/quizzes on dashboard page
- Add: Data/Settings deletion settings
- Add: Accessibility settings
- Improvement: Allow decimals to be used in number field
- Improvement: Include time field in submissions export
- Improvement: Show correct data format on submission page when value is empty
- Improvement: Allow {all_fields} shortcode in user confirmation email
- Improvement: Added default values for Time field
- Improvement: Added ability to change the delay or disable auto close for success message
- Improvement: Visual issues on Internet Explorer
- Improvement: Display font and color settings conditionally only for existing fields
- Fix: Duplicated field changed if the original field changed
- Fix: Phone field input missing type
- Fix: URL Redirect replace & char
- Fix: Confirmation email for users not being sent
- Fix: Form can not be submitted if submit method is set to Reload page
- Fix: Clicking Save button on Settings page redirects to blank page
- Fix: Disable possibility to share Quiz Result via Google+
- Fix: Custom styles printed multiple times
- Fix: Poll results not displayed after vote
- Fix: Min and Max validation triggered when value not set
- Fix: Email notifications recipients duplicated
- Fix: Issues with importing forms
- Fix: Scheduled exports keep sending emails even disabled
- Fix: Pagination submit button doesn't use styles from submit button
- Fix: E char can be inserted in number field
- Fix: Blue outline showing around the form
- Fix: Select dropdown breaks after form submit
- Multiple visual enhancements/fixes

= 1.6.2 ( 2019-02-26 ) =

- Add: Brand new quiz wizard UI/UX
- Add: Quiz integrations
- Improvement: Countries list updated
- Improvement: Do not process fields that hidden by conditional logic
- Improvement: Allow multiple correct answers on knowledge quiz
- Fix: Form First Name autofill doesn't work
- Fix: Issue with Single Choice as Required field
- Fix: Potential self XSS vulnerability
- Multiple minor enhancements/fixes

= 1.6.1 ( 2019-01-07 ) =

- Add: Accessibility settings for UI
- Add: Brand new poll wizard UI/UX
- Add: Poll integrations
- Add: Front-end AJAX render for forms/polls/quizzes
- Improvement: Remove activation tooltips
- Improvement: Add option to enable/disabled DONOTCACHEPAGE constant
- Improvement: Compatibility with Admin Menu Editor plugin
- Fix: Hitting Return/Enter on an edit field has incorrect behavior
- Fix: Encoding special characters
- Fix: Double value attribute for input fields
- Fix: Form with pagination scroll on load
- Fix: Anonymous post author even default author selected
- Fix: HTML element doesn't work when Text editor is used
- Other minor enhancements/fixes

= 1.6.0.2 ( 2018-12-13 ) =

- Fix: Duplicating fields ID when more than 10 fields from same type

= 1.6.0.1 ( 2018-12-06 ) =

- Fix: Form fields can't be dragged in Firefox

= 1.6 ( 2018-12-05 ) =

- Add: Brand new form wizard UI/UX
- Add: Bulk options on listing pages
- Add: Form name popup on form creation
- Add: Image option to poll and quiz answers
- Improvement: Preview fully functional
- Improvement: Security improvements
- Improvement: Listing pages in mobile
- Fix: Poll stats Last Submission is not updating
- Fix: Poll submissions export, no date per vote
- Fix: Canceling Slack auth causing auth page loading loop
- Fix: Submissions filter cannot be opened
- Fix: Poll / Quiz preview showing images out of the modal
- Fix: Guttenberg blocks preview broken
- Fix: Delete quiz submission throws PHP error
- Other minor enhancements/fixes

= 1.5.4 ( 2018-10-29 ) =

- Add: Title option in widget area
- Add: Submissions filter
- Add: IP retention for forms
- Improvement: Scheduled Exports send submissions only when there are NEW entries
- Update: Dashboard page UI
- Update: Settings page UI
- Update: Submissions page UI
- Fix: Enable usage of form variables in email subject
- Fix: Enable usage of variables in redirect field
- Fix: Export CSV character encoding
- Fix: Phone Filed - Standard validation, Country code not pre-filled on country selection
- Fix: View Submission link from the gear icon doesn't work
- Fix: Pantheon compatibility
- Fix: Sender name and email address not working
- Fix: Poll Chart text percentage not shown in the pie, and legend text was truncated
- Fix: Gutenberg conflicts
- Other minor enhancements/fixes

= 1.5.3.1 ( 2018-10-04 ) =

- Add: Copy Shortcode option on listings
- Add: Reset tracking data option on listings
- Fix: Conflict with Revolution Slider and RaraTheme Companion

= 1.5.3 ( 2018-10-02 ) =

- Add: Server validation for reCaptcha
- Update: Form listings UI
- Update: Poll listings UI
- Update: Quiz listings UI
- Fix: Poll result not using more than 5 color.
- Fix: Integration removed from previous submissions history on disconnect
- Fix: Pie chart - Result not showing highlighted on hover for last answer
- Fix: Phone validation default number
- Fix: Name field has the same id as its wrapper div
- Fix: Next and Previous button must point users to top of the page
- Fix: Localise "Back To Poll" button
- Fix: Slack Integration > Add form data link showing blank page
- Other minor enhancements/fixes

= 1.5.2 ( 2018-09-17 ) =

- Add: Slack integration
- Add: Validation for phone number prefixes and area codes
- Add: Option to toggle calendar icon
- Improvement: Custom CSS tags updated
- Fix: Radio button gets squeezed in Forminator poll widget
- Fix: Grouped checkboxes now treated like radio buttons
- Fix: No wrong quiz allowed HTML in results
- Fix: Poll and Quiz navigation not clickable
- Fix: Reset vertical screen position between sections
- Fix: Poll charts blink on hover
- Fix: Upload file in pagination prevent form submit for IE and Edge
- Fix: Validation Errors resulting in display:none Forms
- Fix: Trello Integration missing GDPR value
- Fix: Google sheet integration not showing submitted details of Time, Uploaded file and GDPR fields.
- Fix: PHP error on quiz preview

= 1.5.1 ( 2018-08-30 ) =

- Add: Import / Export feature
- Fix: Cannot clear color settings
- Fix: PHP notice on front-end
- Fix: Form not displaying confirmation message and doesn't clear inputs when ajax disabled
- Fix: Poll votes count setting doesn't work as expected
- Fix: Margin in row when field(s) is/are hidden
- Fix: Phone field formats validation check
- Fix: Select drop-down is displayed twice and not showing any options
- Fix: Multiple Choice field, undefined index error on front-end when Trello is active
- Fix: File upload field throwing PHP error
- Other minor enhancements/fixes

= 1.5.0 ( 2018-08-13 ) =

- Add: API extended with entries & fields CRUD methods
- Add: New Custom CSS tags
- Add: User ID to Hidden Field options
- Add: Additional Options for Email
- Improvement: UI/UX Advanced Options for Emails
- Improvement: Conditional logic reference by ID instead of Name
- Improvement: Message displayed when form submissions time expired
- Fix: Forms can not be submitted from Safari browser when field upload empty
- Fix: IE11 layout fixes
- Fix: Custom CSS settings doesn not work as expected
- Fix: Clicking on variable inserts a null value
- Fix: Missing spacing for front-end notifications
- Fix: Poll votes count setting doesn not work
- Fix: Issues with form preview on small screens
- Fix: Remove button for file upload field hidden
- Fix: Color picker clear color not functional
- Fix: Close button on welcome section not functional
- Fix: Quiz Type window in IE is not displayed properly
- Other minor enhancements/fixes

= 1.4.0 ( 2018-07-26 ) =

- Add: Gutenberg blocks
- Improvement: CSS measurement unit
- Fix: Prevent insert shortcode if no form selected
- Fix: Pagination issues when clicking on "back" button
- Fix: Getting warning when moving captcha field
- Fix: Form Settings button is cut off
- Fix: Name field is required in front-end even it's not set as required.
- Fix: Google Sheet integration fails when more than 26 fields
- Other minor enhancements/fixes

= 1.3.0 ( 2018-07-20 ) =

- Add: Campaign Monitor integration
- Add: AWeber integration
- Improvement: Huge amount of CSS styles printed on page
- Fix: Zapier integration active by default
- Fix: Integrations issues with PHP 5.2
- Fix: Correct results are marked as Incorrect in export
- Fix: Large amount of fields prevent saving the form
- Fix: Honeypot not functional
- Fix: Multiple forms on same page breaks the styling
- Fix: Not possible to add fields on an empty form.
- Fix: Wrong shortcode display in the Polls list.
- Fix: Custom colors for submit button doesn't work.
- Fix: Form Settings - User Email list does not show fields, only misc data
- Other minor enhancements/fixes

= 1.2.1 ( 2018-06-26 ) =

- Fix: Issues with updating plugin

= 1.2.0 ( 2018-06-26 ) =

- Add: API base methods
- Add: Trello integration
- Add: Google Sheets integration
- Add: Active Campaign integration
- Add: Appearance themes for Polls
- Add: Appearance themes for Quizzes
- Add: Option to set default values for the fields
- Improvement: Uniq submission ID in email
- Improvement: No maximum fields in form
- Improvement: Quizzes front-end for accessibility
- Improvement: Remove button for featured image
- Fix: Radio buttons not being marked as selected
- Fix: "No votes yet" is link
- Fix: Pagination show duplicated label
- Fix: Some typography settings are not implemented on front.
- Fix: Inconsistency in the bulk buttons
- Other minor enhancements/fixes

= 1.1.0 ( 2018-06-11 ) =

- Add: New user interface
- Add: MailChimp integration
- Add: Zapier integration
- Add: Option to prevent storing entries in database
- Add: Dropdown type for time field
- Add: Date to Quiz and Poll exports
- Add: Allow defining a Sender email and Sender name per form, overriding global setting
- Add: File size limite for upload field
- Add: Form support 4 fields in one row
- Add: Percentage pagination
- Improvement: If logged-in user set him as author of the post field
- Improvement: Poll string "No votes yet" instead of "View results" if nobody voted
- Improvement: Quiz share text contains results
- Fix: Form is not submitted if wrong upload type
- Fix: When number field is required entering 0 returns error
- Fix: Phone field: 2 placeholders appear if user turned on standard form validation
- Fix: Hyperlinks doesnt work on thank you message
- Fix: Disabling AJAX submission breaks form on submission
- Fix: Form field data lost when validation fails on non-ajax submission
- Fix: URL field not accepting URLs without protocols
- Fix: Address -> Country tag missing in emails variables
- Fix: Phone field allowing letters when 'validation' is disabled
- Fix: Date formats not being validated correctly
- Fix: Hidden field -> embed URL query string gets ignored
- Fix: Form can be submitted with spaces only
- Fix: Radio not marked as checked on click
- Fix: JS error on field clone
- Fix: When poll renamed, submission not shown
- Fix: Multiple styling issues
- Fix: Typos
- Compatibility: WP Mail SMTP plugin
- Compatibility: Popup Maker plugin
- Other minor enhancements/fixes

= 1.0.6 ( 2018-06-05 ) =

- Add: GDPR personal data erase and export.
- Add: Plugin information to default "Private Policy" page.
- Add: Auto Delete entries after X time

= 1.0.5 ( 2018-06-05 ) =

- Add: Share quiz contains results not only URL to the quiz
- Add: Uploaded file variable
- Add: DropDown type for time field
- Add: GDPR consent checkbox field
- Add: Entries have own page
- Add: Auto fill data for logged in users.
- Add: Preview button to form builder.
- Add: Vanilla theme ( Theme styles used )
- Add: New color settings
- Improvement: Toggle color fields in appearance depending on selection.
- Improvement: Create anonymous user when visitor submit post
- Improvement: DatePicker localized
- Improvement: Form data variables added for thank you message
- Fix: Wrong message displays if user selected single text line in Text field and turned on field limit
- Fix: Character Limit in Phone field not functional
- Fix: "Date" field calendar minimum year is 2008
- Fix: Scheduled exports changes are not saved correctly
- Fix: Time field validation appearance
- Fix: Jpg format not saved for quizzes
- Fix: Field settings updated on change instead of blur
- Fix: Hustle compatibility issues
- Fix: IE11 appearance issues
- Fix: Multiple styling issues
- Other minor enhancements/fixes

= 1.0.4 ( 2018-03-20 ) =

- Add: Validation message for Upload field
- Add: Confirm prompt on delete field
- Add: Data field containing all the fields data
- Add: Form fields variables beautified
- Add: Set multiple recipients for emails
- Add: Custom styles for Quizzes
- Add: Filters for fields validation messages
- Add: Filters for admin settings
- Improvement: Clear form data after submission
- Improvement: PHP 7.2 compatibility
- Improvement: Form data in email subjects
- Improvement: IE11 compatibility in admin
- Fix: Character limit for phone validation
- Fix: No link to post if PostData's title is empty
- Fix: Slashes not stripped on preview
- Fix: Wrong email validation message
- Fix: Bulk action below pagination not functional
- Fix: Quiz preview show wrong title
- Fix: User email not sent on form submit
- Fix: Time & Address values are empty in submission email
- Fix: Pagination not working on Safari
- Fix: Some of Form Data variables not functional
- Fix: Custom style not functional in preview for new forms
- Fix: Submissions not recorded on multi-site sub-domain
- Fix: HTML field tags not rendered as html
- Other minor enhancements/fixes

= 1.0.3.1 ( 2018-03-05 ) =

- Fix: project meta information update

= 1.0.3 ( 2018-03-05 ) =

- Add: Hooks in form submission process
- Add: WP Editor in Posts Data field for content input
- Add: Invisible reCaptcha
- Add: Links to docs on admin pages
- Improvement: Better form data sanitize
- Improvement: Images use thumbnails instead of full images
- Improvement: Submit confirmation message removed after submit
- Improvement: Inline validation
- Improvement: Language strings
- Fix: Limit time fields characters
- Fix: reCaptcha cannot be set as conditional field
- Fix: Cloned fields keep same ID
- Fix: Retake quiz button styling
- Fix: Country field displayed as number on export
- Other minor enhancements/fixes

= 1.0.1 ( 2018-02-21 ) =

- Add: better file upload handling
- Fix: Limit DB setup only on updated schema

= 1.0 ( 2018-02-20 ) =

- First public release


769429-1757430003-au